global mSr aScat tof
global hbarOverAu fittedDataCS2 Fval

plotpdfversion=true;
plotsvgversion=true;
plotpngversion=false;
plot3Dfits=false;
plot3DCS=true;
plot2DCS=false;
crosssectiontype=0; % 0=narrow, 1=big
imagetype=0; % 0=

plothypothesistesting = false;
plotBECsignal=false;

plotBECresiduals=false;
plotthermalresiduals=false;
plotBECresidualsclose=false;
plotthermalresidualsclose=false;
plotBECresidualswide=false;
plotthermalresidualswide=false;

plotBECfitclose=false;
plotBECfitwide=false;
plotthermalfitclose=false;
plotthermalfitwide=false;
plotanisotropy=false;
plotabsorption=false;
plotabsorptionnarrow=false;

%% CHECK THIS
FitDataOffset=0.06;
FitDataScale=255/0.61;
ImDataOffset=0.06;
ImDataScale=255/0.61;

ResDataOffset=127;
% ResDataScale=128/0.07;
ResDataScale=128/0.09;
DataTicks=[0 0.5];
ResTicks=[-0.07 0.07];

colorbarrange=[0.5,0;1.5,0.05;3.2,0.55;12,0.7;65,1;66,1];
colorbarrangeA=[0.5 15.5];
colorbarrangeB=[18 65];

jetmultiplier=0.75;

offset3dfit=2;
offset3DCS=0;
baseoffset3DCS=0;
Fit3DPlotMinOD=-2*offset3dfit;
Fit3DPlotMaxOD=1.9*offset3dfit;
OD3DCS=[0.1 0.55];

Scale3DFit=7;
MAX2DCSOD=0.55;
NarrowMIN2DCSOD=0.2;
NarrowMAX2DCSOD=0.55;

CrosssectionHalfWidthX=20; % change to improve the contrast
CrosssectionHalfWidthY=5; % change to improve the contrast
Anisotropyhalfwidth=60;
AnisotropyBlur=2;

% AnisotropyScale=127/0.06;
AnisotropyScale=127/0.09;
% AnisotropyTicks=[-0.05 0.05];
AnisotropyTicks=[-0.07 0.07];

ResidualsBEChalfwidth=Anisotropyhalfwidth;
ResidualsBECBlur=2;

% ResidualsScale=127/0.08;
ResidualsScale=127/0.09;
ResidualsTicks=[-0.07 0.07];

BECSignalBlur=2;
% BECSignalScale=127/0.08;
BECSignalScale=127/0.09;
BECSignalTicks=[-0.07 0.07];



cLum=2.99792458e8; % m/s ; exactly defined
h=6.62607015e-34; % J.s ; exactly defined
hbar = h/(2*pi);
kB = 1.380649e-23; %J/K ; exactly defined
au = 1.66053906660e-27; % kg
a0 = 0.0529177210903e-9; % Bohr radius, in m
hbarOverAu = hbar/au;
auOverkB = au / kB;

m84Sr =  83.913425; % au
m86Sr =  85.9092607309; % au
m87Sr =  86.9088774970; % au
m88Sr =  87.9056122571; % au
mSr = m84Sr; % au
% a8686 = 823 * a0;
a8484 = 122.7*a0; % m
aScat = a8484; % m
lambda=460.862369e-9; % m
gamma=2*pi*30.2e6; % s^-1
detuning=2*pi * 0;
clebsch=1;
absCross=clebsch*3*lambda^2/(2*pi*(1+(detuning/(2*gamma))^2)); % m^2
tof=18e-3; % time of flight, in s
atomVelocity = 0.088; % in m.s^-1 , velocity of atoms in the transport guide
sigmaAtomVelocity = 0.008;

Xcal=4.48036*1e-3;
Ycal=4.48036*1e-3;

blueredmapinput=[0 0 0 1;0.5 1 1 1; 1 1 0 0];
blueredmap=makecolormap(blueredmapinput,256);

datamapinput=[0 0 0 0;...
    1/255 0 0 0;...
    22/255 0 0 1;...
    61/255 0 1 1;...
    100/255 0 1 0;...
    139/255 1 1 0;...
    180/255 1 0 0;...
    215/255 1 0 1;...
    230/255 1 0.7 1;...
    1 1 1 1];

datamap=makecolormap(datamapinput,256);

minBEC=1000;

for loopnum=1:3
    close all
    load191226S20;
%     load191226S21;
%     load191226S28;
    load191226S23;
%     load191226S26;
%     load191226S38;
    load191226S19;
    load191226S18;
    
    for figind=1:35
        eval(['fitsummaryfig',num2str(figind),'=',num2str(figind),';']);
    end
    FIGSIZEX1=770;    FIGSIZEY1=650;    FIGXOFFSET1=30;    FIGYOFFSET1=50;
    % FIGSIZEX2=500;    % FIGSIZEY2=500;    % FIGXOFFSET2=30;    % FIGYOFFSET2=50;
    FIGSIZEX1V2=770;    FIGSIZEY1V2=750;    FIGXOFFSET1V2=30;    FIGYOFFSET1V2=50;

    rangex=350:600;
    bigrangex=350:800;
    narrowrangex=400:550;
    
    crosssectionnum=1;

    if loopnum==1
        % data set for hypothesis testing version:

        timeimagedata(1:length(S18xdatagood),1)=ones(size(S18xdatagood.'));
        timeimagedata(1:length(S18xdatagood),2)=S18xdatagood.';
        timeimagedata(1:length(S18xdatagood),3)=(2:(length(S18xdatagood)+1));
        timeimagedata(1:length(S18xdatagood),4)=18;
        timeimagedata(1:length(S18xdatagood),5)=S18xdatagood.';
        figuredirectory='Q:\qgases\groups\strontium\SrCAL\Papers\SSBEC\Matlab analysis\HypothesisV19';
        SAVE3DCROSSSECTIONS=0;
        SAVEHYPOTHESISSUMMARY=1;
    elseif loopnum==2
        plot3DCS=true;
        plot2DCS=true;
        plotBECsignal=true;
        plotanisotropy=false;
        plotabsorption=true;
        plotBECresiduals=true;

plothypothesistesting = false;

plotthermalresiduals=true;
plotBECresidualsclose=true;
plotthermalresidualsclose=true;
plotBECresidualswide=true;
plotthermalresidualswide=true;

plotBECfitclose=true;
plotBECfitwide=true;
plotthermalfitclose=true;
plotthermalfitwide=true;
plotabsorptionnarrow=true;
        
%         timeimagedata=[];
        
        % data set for 3D crosssection:
        timeimagedata=[0,1100,86,18,1100;0,1200,96,18,1200;1,1500,111,18,1500;0,1600,112,18,1600;0,1700,113,18,1700;1,1800,114,18,1800;0,1866,98,18,1866;0,1900,115,18,1900;0,2000,100,18,2000;0,2100,117,18,2100;1,2200,101,18,2200;0,2300,119,18,2300;0,2400,102,18,2400;1,2500,121,18,2500;0,2600,103,18,2600;0,2700,123,18,2700;1,2800,104,18,2800;0,3000,105,18,3000;1,3200,106,18,3200;0,3400,107,18,3400;0,3600,108,18,3600;0,3800,109,18,3800;0,4000,110,18,4000;...
            0,5000,2,18,5000; 0, 3600, 23,18,5000; 0, 5000, 44,18,5000; 0, 5000, 65,18,5000; 0, 3300, 22,18,15000; 0, 3400, 43,18,15000; 1, 3600, 64,18,15000; 0, 3600, 85,18,15000];
        pointsdone=size(timeimagedata,1);
        timeimagedata((pointsdone+1):(pointsdone+9),1:5)=[0,30000,1,19,30000;0,30000,2,19,30000;1,4000,3,19,30000; 1, 4400, 4,19,45000;0, 45000, 5,19,45000;0, 45000, 6,19,45000; 1, 4800, 7,19,60000; 0, 60000, 8,19,60000; 0, 60000, 9,19,60000];
 
        figuredirectory='Q:\qgases\groups\strontium\SrCAL\Papers\SSBEC\Matlab analysis\FiguresV19';
        SAVE3DCROSSSECTIONS=1;
        SAVEHYPOTHESISSUMMARY=0;
    elseif loopnum==3
        plot3DCS=false;
        plot2DCS=false;
        plotBECsignal=false;
        plotanisotropy=true;
        plotabsorption=true;
        plotBECresiduals=false;


plotthermalresiduals=true;
plotBECresidualsclose=true;
plotthermalresidualsclose=true;
plotBECresidualswide=true;
plotthermalresidualswide=true;

plotBECfitclose=true;
plotBECfitwide=true;
plotthermalfitclose=true;
plotthermalfitwide=true;
plotabsorptionnarrow=true;
        
        Anisotropyhalfwidth=45;
        ResidualsBEChalfwidth=Anisotropyhalfwidth;

        timeimagedata=[1,2200,101,18,2200;1,2300,119,18,2300;1,3000,105,18,3000;1,3200,106,18,3200;1, 2100, 12,20,2100;1, 3100, 17,20,3100;1, 2300, 44,20,2300;...
             1, 3100, 48,20,3100;1,2226.6667,13,23,2226.6667;1, 3000, 17,23,3000];
%         timeimagedata=[1,2200,101,18,2200;1,2300,119,18,2300;1,3000,105,18,3000;1,3200,106,18,3200;1, 2100, 12,20,2100;1, 2300, 13,20,2300;1, 3100, 17,20,3100;1, 2300, 44,20,2300;...
%              1, 3100, 48,20,3100;1,2226.6667,13,23,2226.6667;1, 3000, 17,23,3000;1, 10000, 2,28,10000;1, 10000, 3,28,10000;1, 10000, 4,28,10000;1, 10000, 11,28,10000];
         
        figuredirectory='Q:\qgases\groups\strontium\SrCAL\Papers\SSBEC\Matlab analysis\AnisotropyV19';
        SAVE3DCROSSSECTIONS=0;
        SAVEHYPOTHESISSUMMARY=0;
    end

    probfun=@findftestprobability;
    MinXHalfWidth=15;

    for ind=1:size(timeimagedata,1)
        if (timeimagedata(ind,1)==1)
            if (timeimagedata(ind,4)==20)||(timeimagedata(ind,4)==23)||(timeimagedata(ind,4)==26)
            else
                variablestotransfer={'PCAmatrix','roilocation','xdatagood','x0FirstFitseries','x0series','imdata','PCAcrop','X','Y','xx','yy','dimX','dimY','seriesnumtext','directory'};
                for transferind=1:length(variablestotransfer)
                    eval([variablestotransfer{transferind},'=S',num2str(timeimagedata(ind,4)),variablestotransfer{transferind},';']);
                end
                
                imagenumber=timeimagedata(ind,3);
                plottime=timeimagedata(ind,2);
                truetime=timeimagedata(ind,5);

                Dimplex=round(x0series(imagenumber,9)/Xcal-PCAcrop(2)); % Parameters(10)=Dimpley;
                Dimpley=round(x0series(imagenumber,10)/Ycal-PCAcrop(1)); % Parameters(10)=Dimpley;

                x0Thseries = (1:23)*0;
                x0Thseries(1:18) = x0FirstFitseries(imagenumber,1:18);

                [fittedData,dimplefit,reservoirfit,crossoverfit,transportfit,BECfit] = constructSSBEC6(x0series(imagenumber,:),xx,yy);
                [fittedThData,dimpleThfit,reservoirThfit,crossoverThfit,transportThfit,BECThfit] = constructSSBEC6(x0Thseries,xx,yy);
                BECN=x0series(imagenumber,19);

                meanImData = convertatomnumbertoOD(reshape(PCAmatrix(imagenumber,:),[dimX dimY]),Xcal,Ycal);
                fittedData=convertatomnumbertoOD(fittedData,Xcal,Ycal);
                dimplefit=convertatomnumbertoOD(dimplefit,Xcal,Ycal);
                reservoirfit=convertatomnumbertoOD(reservoirfit,Xcal,Ycal);
                crossoverfit=convertatomnumbertoOD(crossoverfit,Xcal,Ycal);
                transportfit=convertatomnumbertoOD(transportfit,Xcal,Ycal);
                BECfit=convertatomnumbertoOD(BECfit,Xcal,Ycal);
                fittedThData=convertatomnumbertoOD(fittedThData,Xcal,Ycal);
                dimpleThfit=convertatomnumbertoOD(dimpleThfit,Xcal,Ycal);
                reservoirThfit=convertatomnumbertoOD(reservoirThfit,Xcal,Ycal);
                crossoverThfit=convertatomnumbertoOD(crossoverThfit,Xcal,Ycal);
                transportThfit=convertatomnumbertoOD(transportThfit,Xcal,Ycal);
                BECThfit=convertatomnumbertoOD(BECThfit,Xcal,Ycal);

                
                BECfitCS=BECfit((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:);
        %         fittedDataCS=fittedData((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:);
                fittedThDataCS=fittedThData((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:);
                meanImDataCS=meanImData((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:);

                datacrosssectionX =sum(meanImData((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:),1)/(2*CrosssectionHalfWidthX+1);
                thermalcrosssectionXThPlusBEC=sum(dimplefit((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:)+...
                    reservoirfit((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:)+...
                    crossoverfit((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:)+...
                    transportfit((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:),1)/(2*CrosssectionHalfWidthX+1);

                BECcrosssectionXThPlusBEC=sum(BECfit((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:),1)/(2*CrosssectionHalfWidthX+1);
                thermalcrosssectionXTh=sum(dimpleThfit((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:)+...
                    reservoirThfit((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:)+...
                    crossoverThfit((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:)+...
                    transportThfit((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),:),1)/(2*CrosssectionHalfWidthX+1);

                X2=X(rangex);
                datacrosssectionX2=datacrosssectionX(rangex);
                thermalcrosssectionXTh2=thermalcrosssectionXTh(rangex);
                BECcrosssectionXThPlusBEC2=BECcrosssectionXThPlusBEC(rangex);
                thermalcrosssectionXThPlusBEC2=thermalcrosssectionXThPlusBEC(rangex);

                narrowX2=X(narrowrangex);
                datanarrowcrosssectionX2=datacrosssectionX(narrowrangex);
                thermalnarrowcrosssectionXTh2=thermalcrosssectionXTh(narrowrangex);
                BECnarrowcrosssectionXThPlusBEC2=BECcrosssectionXThPlusBEC(narrowrangex);
                thermalnarrowcrosssectionXThPlusBEC2=thermalcrosssectionXThPlusBEC(narrowrangex);

            % 3D cross-section plot for figure 3
                plottimeval=plottime/1000;
                truetimeval=truetime/1000;

                BECX=X2(BECcrosssectionXThPlusBEC2>0);
                BECY=BECcrosssectionXThPlusBEC2(BECcrosssectionXThPlusBEC2>0)+thermalcrosssectionXThPlusBEC2(BECcrosssectionXThPlusBEC2>0);
                BECYxtra=BECcrosssectionXThPlusBEC2(BECcrosssectionXThPlusBEC2>0);
                ThermalY=thermalcrosssectionXThPlusBEC2(BECcrosssectionXThPlusBEC2>0);

                BECnarrowX=narrowX2(BECnarrowcrosssectionXThPlusBEC2>0);
                BECnarrowY=BECnarrowcrosssectionXThPlusBEC2(BECnarrowcrosssectionXThPlusBEC2>0)+thermalnarrowcrosssectionXThPlusBEC2(BECnarrowcrosssectionXThPlusBEC2>0);
                BECnarrowYxtra=BECnarrowcrosssectionXThPlusBEC2(BECnarrowcrosssectionXThPlusBEC2>0);
                ThermalnarrowY=thermalnarrowcrosssectionXThPlusBEC2(BECnarrowcrosssectionXThPlusBEC2>0);

                if plot3DCS
                    figure(fitsummaryfig32);

                    if (BECN>minBEC)
                        g=fill3([BECnarrowX,BECnarrowX(end:-1:1)],[plottimeval*ones(size(BECnarrowX)),plottimeval*ones(size(BECnarrowX))],[ThermalY,BECnarrowY(end:-1:1)]+baseoffset3DCS,[0.8 0.8 1]);
                        if crosssectionnum==1
                            hold on
                        end
                        h=plot3(narrowX2,plottimeval*ones(size(narrowX2)),datanarrowcrosssectionX2+baseoffset3DCS+offset3DCS*(crosssectionnum-1),'k.',narrowX2,plottimeval*ones(size(narrowX2)),thermalnarrowcrosssectionXThPlusBEC2+baseoffset3DCS+offset3DCS*(crosssectionnum-1),'k',BECnarrowX,plottimeval*ones(size(BECnarrowX)),BECnarrowY+baseoffset3DCS+offset3DCS*(crosssectionnum-1),'b','LineWidth',0.2,'MarkerSize',4);
                    else
                        h=plot3(narrowX2,plottimeval*ones(size(narrowX2)),datanarrowcrosssectionX2+baseoffset3DCS+offset3DCS*(crosssectionnum-1),'k.',narrowX2,plottimeval*ones(size(narrowX2)),thermalnarrowcrosssectionXThPlusBEC2+baseoffset3DCS+offset3DCS*(crosssectionnum-1),'k','LineWidth',0.2,'MarkerSize',4);
                        if crosssectionnum==1
                            hold on
                        end
                    end

                    startind=find(truetimeval<colorbarrange(:,1),1,'first')-1;
                    colvalthispoint=colorbarrange(startind,2)+(truetimeval-colorbarrange(startind,1))/(colorbarrange(startind+1,1)-colorbarrange(startind,1))*(colorbarrange(startind+1,2)-colorbarrange(startind,2));
                    rgbcol = (vals2colormap(colvalthispoint, 'jet', [0 1]))*jetmultiplier;
                    set(h(1),'Color',rgbcol);

                    CrossSection3DLineZ=[(thermalnarrowcrosssectionXThPlusBEC2(1)+baseoffset3DCS+offset3DCS*(crosssectionnum-1)) (OD3DCS(1)) (OD3DCS(1)) (thermalnarrowcrosssectionXThPlusBEC2(end)+baseoffset3DCS+offset3DCS*(crosssectionnum-1))];
                    CrossSection3DLineX=[narrowX2(1) narrowX2(1) narrowX2(end) narrowX2(end)];
                    CrossSection3DLineY=[plottimeval plottimeval plottimeval plottimeval];

                    line(CrossSection3DLineX,CrossSection3DLineY,CrossSection3DLineZ,'Marker','none','LineStyle',':','Color',rgbcol,'LineWidth',0.5);
                end            
                crosssectionnum=crosssectionnum+1;

                % Hypothesis testing
                if SAVEHYPOTHESISSUMMARY
                    goodx=find(max(BECfitCS,[],1)>0);
                    BECfitCSY=BECfit(:,(Dimplex-CrosssectionHalfWidthY):(Dimplex+CrosssectionHalfWidthY),:);
                    goody=find(max(BECfitCSY,[],2)>0);

                    if numel(goodx)==0
                        [~,currentcenter]=max(max(fittedThData));
                        goodx=(currentcenter-MinXHalfWidth):(currentcenter+MinXHalfWidth);
                    else
                        goodx = goodx(1):goodx(end);
                        if (length(goodx)/2<MinXHalfWidth)
                            currentcenter=ceil((max(goodx)+min(goodx))/2);
                            goodx=(currentcenter-MinXHalfWidth):(currentcenter+MinXHalfWidth);
                        end
                    end

                    BECfitCS2=BECfit((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),goodx);
                    fittedDataCS2=fittedData((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),goodx);
                    fittedThDataCS2=fittedThData((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),goodx);
                    meanImDataCS2=meanImData((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),goodx);
                    %meanmeanImDataCS2=mean(meanImData((Dimpley-CrosssectionHalfWidthX):(Dimpley+CrosssectionHalfWidthX),goodx),1);

                    %touse=find(BECfitCS2>0);
                    %BECerrorval=reshape(fittedDataCS2-meanImDataCS2,size(fittedDataCS2));
                    %Therrorval=reshape(fittedThDataCS2-meanImDataCS2,size(fittedDataCS2));
                    %Dataerrorval=reshape(repmat(meanmeanImDataCS2,[1+2*CrosssectionHalfWidthX,1])-meanImDataCS2,size(fittedDataCS2));

                    %sizeCS=size(fittedDataCS2);
                    RSSbec=sum(sum((fittedDataCS2-meanImDataCS2).^2));
                    RSSth=sum(sum((fittedThDataCS2-meanImDataCS2).^2));
                    disp(numel(fittedDataCS2));


                    %%CHECK THIS
                    Fval = abs(RSSth - RSSbec)/ RSSbec *(numel(fittedDataCS2) - 19);
    %                 Fval = (abs(RSSth - RSSbec)/(19-18)) /  (RSSbec /(numel(fittedDataCS2) - 19));
        %             try
        %             if Fval<76.35,
                    if Fval<70
                        probability(ind)=1-fzero(probfun,[1e-15 (1-1e-15)]); %#ok<SAGROW>
                    else
                        probability(ind)=1e-15; %#ok<SAGROW>
                    end
        %             catch
        %                 f=1;
        %             end
                end

            % wide 2D cross-section plots for figure 2
                if plot2DCS==true
                    plotBEC=BECN>minBEC;
                    if crosssectiontype~=0
                        figureheightscale=1.2;
                        filename=[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'CrosssectionBig'];
                        if SAVEHYPOTHESISSUMMARY
                            titletext=[seriesnumtext,'P',num2str(imagenumber-1),' T',num2str(truetime),' ProbBEC=',num2str(probability(ind))];
                        else
                            titletext=[seriesnumtext,'P',num2str(imagenumber-1),' T',num2str(truetime)];
                        end
                        plotcrosssections(fitsummaryfig4,plotBEC,BECX,X2,ThermalY,BECYxtra,thermalcrosssectionXThPlusBEC2,BECY,thermalcrosssectionXTh2,datacrosssectionX2,0,MAX2DCSOD,filename,plotpdfversion,plotsvgversion,plotpngversion,figureheightscale,titletext);
                    end
                    % narrow 2D cross-section plots
                    if crosssectiontype~=1
                        figureheightscale=0.7;
                        filename=[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'CrosssectionSmall'];
                        if SAVEHYPOTHESISSUMMARY
                            titletext=[seriesnumtext,'P',num2str(imagenumber-1),' T',num2str(truetime),' ProbBEC=',num2str(probability(ind))];
                        else
                            titletext=[seriesnumtext,'P',num2str(imagenumber-1),' T',num2str(truetime)];
                        end
                        plotcrosssections(fitsummaryfig10,plotBEC,BECX,narrowX2,ThermalY,BECYxtra,thermalnarrowcrosssectionXThPlusBEC2,BECY,thermalnarrowcrosssectionXTh2,datanarrowcrosssectionX2,NarrowMIN2DCSOD,NarrowMAX2DCSOD,filename,plotpdfversion,plotsvgversion,plotpngversion,figureheightscale,titletext);
                    end
                end

                % 3D plots full data fit
                rangey=1:length(Y);
                Y2=Y(rangey);

                ImDataPlot=meanImData(rangey,rangex);
                
                FitData=fittedData(rangey,rangex);
                ResidualData=(ImDataPlot-FitData); %#ok<NASGU>
                if plot3Dfits
                    filename=[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'3DPlot']; %#ok<UNRCH>
                    plot3DFitimage(fitsummaryfig2,Scale3DFit,FitData,FitDataOffset,FitDataScale,ImDataPlot,ImDataOffset,ImDataScale,datamap,ResidualData,ResidualsBECBlur,ResDataScale,ResDataOffset,...
                        blueredmap,X2,Y2,offset3dfit,Fit3DPlotMinOD,Fit3DPlotMaxOD,filename,plotpdfversion,plotsvgversion,plotpngversion);
                end
                % 3D plot of the thermal data
                FitData=fittedThData(rangey,rangex);
                ResidualData=(ImDataPlot-FitData);
                if plot3Dfits
                    filename=[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'3DPlotThermal']; %#ok<UNRCH>
                    plot3DFitimage(fitsummaryfig3,Scale3DFit,FitData,FitDataOffset,FitDataScale,ImDataPlot,ImDataOffset,ImDataScale,datamap,ResidualData,ResidualsBECBlur,ResDataScale,ResDataOffset,...
                        blueredmap,X2,Y2,offset3dfit,Fit3DPlotMinOD,Fit3DPlotMaxOD,filename,plotpdfversion,plotsvgversion,plotpngversion);
                end
                
                
                FitBECDataPlot=fittedData(rangey,rangex);
                ResidualBECDataPlot=(ImDataPlot-FitBECDataPlot);

                FitThDataPlot=fittedThData(rangey,rangex);
                ResidualThDataPlot=(ImDataPlot-FitThDataPlot);

                FitBECDataPlotBECOnly=BECfit(rangey,rangex);
                BECSignalDataPlot=(ImDataPlot-FitBECDataPlot+FitBECDataPlotBECOnly);
                
                NORMALFIGUREWIDTH=1;
                WIDEFIGUREWIDTH=2;
                
                % plot of the absorption image data
                if plotabsorptionnarrow
                    AnisotropyBoxLineY=[(Dimpley+Anisotropyhalfwidth-rangey(1)+1) (Dimpley+Anisotropyhalfwidth-rangey(1)+1) (Dimpley-Anisotropyhalfwidth-rangey(1)+1) (Dimpley-Anisotropyhalfwidth-rangey(1)+1) (Dimpley+Anisotropyhalfwidth-rangey(1)+1)]; %#ok<UNRCH>
                    AnisotropyBoxLineX=[(Dimplex-Anisotropyhalfwidth-rangex(1)+1) (Dimplex+Anisotropyhalfwidth-rangex(1)+1) (Dimplex+Anisotropyhalfwidth-rangex(1)+1) (Dimplex-Anisotropyhalfwidth-rangex(1)+1) (Dimplex-Anisotropyhalfwidth-rangex(1)+1)];
                    CrosssectionBoxLineY=[(Dimpley+CrosssectionHalfWidthX-rangey(1)+1) (Dimpley+CrosssectionHalfWidthX-rangey(1)+1) (Dimpley-CrosssectionHalfWidthX-rangey(1)+1) (Dimpley-CrosssectionHalfWidthX-rangey(1)+1) (Dimpley+CrosssectionHalfWidthX-rangey(1)+1)];
                    CrosssectionBoxLineX=[(narrowrangex(1)-rangex(1)+1) (narrowrangex(end)-rangex(1)+1) (narrowrangex(end)-rangex(1)+1) (narrowrangex(1)-rangex(1)+1) (narrowrangex(1)-rangex(1)+1)];
                    plotimagedata(fitsummaryfig7,ImDataPlot,datamap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'AbsorptionSmall'],...
                        0,DataTicks,ImDataScale,plotpdfversion,plotsvgversion,plotpngversion,NORMALFIGUREWIDTH,AnisotropyBoxLineX,AnisotropyBoxLineY,0,ImDataOffset,CrosssectionBoxLineX,CrosssectionBoxLineY);
                end
                % plot of the BEC fit data - Wide View
                if plotabsorption
                    FullImDataPlot=meanImData(rangey,bigrangex);
                    FullAnisotropyBoxLineY=[(Dimpley+Anisotropyhalfwidth-rangey(1)+1) (Dimpley+Anisotropyhalfwidth-rangey(1)+1) (Dimpley-Anisotropyhalfwidth-rangey(1)+1) (Dimpley-Anisotropyhalfwidth-rangey(1)+1) (Dimpley+Anisotropyhalfwidth-rangey(1)+1)];
                    FullAnisotropyBoxLineX=[(Dimplex-Anisotropyhalfwidth-bigrangex(1)+1) (Dimplex+Anisotropyhalfwidth-bigrangex(1)+1) (Dimplex+Anisotropyhalfwidth-bigrangex(1)+1) (Dimplex-Anisotropyhalfwidth-bigrangex(1)+1) (Dimplex-Anisotropyhalfwidth-bigrangex(1)+1)];
                    FullCrosssectionBoxLineY=[(Dimpley+CrosssectionHalfWidthX-rangey(1)+1) (Dimpley+CrosssectionHalfWidthX-rangey(1)+1) (Dimpley-CrosssectionHalfWidthX-rangey(1)+1) (Dimpley-CrosssectionHalfWidthX-rangey(1)+1) (Dimpley+CrosssectionHalfWidthX-rangey(1)+1)];
                    FullCrosssectionBoxLineX=[(narrowrangex(1)-bigrangex(1)+1) (narrowrangex(end)-bigrangex(1)+1) (narrowrangex(end)-bigrangex(1)+1) (narrowrangex(1)-bigrangex(1)+1) (narrowrangex(1)-bigrangex(1)+1)];
                    plotimagedata(fitsummaryfig9,FullImDataPlot,datamap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'Absorption'],...
                        0,DataTicks,ImDataScale,plotpdfversion,plotsvgversion,plotpngversion,WIDEFIGUREWIDTH,FullAnisotropyBoxLineX,FullAnisotropyBoxLineY,0,ImDataOffset,FullCrosssectionBoxLineX,FullCrosssectionBoxLineY);
                end
                    
                % plot the anisotropy data
                if plotanisotropy
                    Anisotropy=ImDataPlot((Dimpley-(Anisotropyhalfwidth+AnisotropyBlur)-rangey(1)+1):(Dimpley+(Anisotropyhalfwidth+AnisotropyBlur)-rangey(1)+1),(Dimplex-(Anisotropyhalfwidth+AnisotropyBlur)-rangex(1)+1):(Dimplex+(Anisotropyhalfwidth+AnisotropyBlur)-rangex(1)+1));
                    Anisotropy=(Anisotropy+imrotate(Anisotropy,180))/2;
                    Anisotropy=Anisotropy-Anisotropy.';
                    plotimagedata(fitsummaryfig8,Anisotropy,blueredmap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'Anisotropy'],...
                        AnisotropyBlur,AnisotropyTicks,AnisotropyScale,plotpdfversion,plotsvgversion,plotpngversion,NORMALFIGUREWIDTH);
                end
                
                % plot the BEC fit residuals
                if plotBECresiduals
                    ResidualsBEC=ResidualBECDataPlot((Dimpley-(ResidualsBEChalfwidth+ResidualsBECBlur)-rangey(1)+1):(Dimpley+(ResidualsBEChalfwidth+ResidualsBECBlur)-rangey(1)+1),(Dimplex-(ResidualsBEChalfwidth+ResidualsBECBlur)-rangex(1)+1):(Dimplex+(ResidualsBEChalfwidth+ResidualsBECBlur)-rangex(1)+1));
                    plotimagedata(fitsummaryfig11,ResidualsBEC,blueredmap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'ResidualsBECTiny'],...
                        ResidualsBECBlur,ResidualsTicks,ResidualsScale,plotpdfversion,plotsvgversion,plotpngversion,NORMALFIGUREWIDTH);
                    % plot of the Residuals BEC fit data - Close Up
                    plotimagedata(fitsummaryfig17,ResidualBECDataPlot,blueredmap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'ResidualsBECSmall'],...
                        ResidualsBECBlur,ResidualsTicks,ResidualsScale,plotpdfversion,plotsvgversion,plotpngversion,NORMALFIGUREWIDTH);
                    % plot of the Residuals BEC fit data - Wide View
                    ResidualsBECWide=meanImData(rangey,bigrangex)-fittedData(rangey,bigrangex);
                    plotimagedata(fitsummaryfig18,ResidualsBECWide,blueredmap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'ResidualsBEC'],...
                        ResidualsBECBlur,ResidualsTicks,ResidualsScale,plotpdfversion,plotsvgversion,plotpngversion,WIDEFIGUREWIDTH);
                end
                
                % plot the BEC signal
                if plotBECsignal
                    BECSignal=BECSignalDataPlot((Dimpley-(ResidualsBEChalfwidth+BECSignalBlur)-rangey(1)+1):(Dimpley+(ResidualsBEChalfwidth+BECSignalBlur)-rangey(1)+1),(Dimplex-(ResidualsBEChalfwidth+BECSignalBlur)-rangex(1)+1):(Dimplex+(ResidualsBEChalfwidth+BECSignalBlur)-rangex(1)+1));
                    plotimagedata(fitsummaryfig35,BECSignal,blueredmap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'BECSignalTiny'],...
                        BECSignalBlur,BECSignalTicks,BECSignalScale,plotpdfversion,plotsvgversion,plotpngversion,NORMALFIGUREWIDTH);
                end
                
                % plot the Thermal fit residuals
                if plotthermalresiduals
                    ResidualsThermal=ResidualThDataPlot((Dimpley-(ResidualsBEChalfwidth+ResidualsBECBlur)-rangey(1)+1):(Dimpley+(ResidualsBEChalfwidth+ResidualsBECBlur)-rangey(1)+1),(Dimplex-(ResidualsBEChalfwidth+ResidualsBECBlur)-rangex(1)+1):(Dimplex+(ResidualsBEChalfwidth+ResidualsBECBlur)-rangex(1)+1)); %#ok<UNRCH>
                    plotimagedata(fitsummaryfig12,ResidualsThermal,blueredmap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'ResidualsThermalTiny'],...
                        ResidualsBECBlur,ResidualsTicks,ResidualsScale,plotpdfversion,plotsvgversion,plotpngversion,NORMALFIGUREWIDTH);

                     % plot of the Residuals Thermal fit data - Close Up
                    plotimagedata(fitsummaryfig19,ResidualThDataPlot,blueredmap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'ResidualsThermalSmall'],...
                        ResidualsBECBlur,ResidualsTicks,ResidualsScale,plotpdfversion,plotsvgversion,plotpngversion,NORMALFIGUREWIDTH);
                    % plot of the Thermal fit residuals - Wide View
                    ResidualThDataPlotWide=meanImData(rangey,bigrangex)-fittedThData(rangey,bigrangex);
                    plotimagedata(fitsummaryfig20,ResidualThDataPlotWide,blueredmap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'ResidualsThermal'],...
                        ResidualsBECBlur,ResidualsTicks,ResidualsScale,plotpdfversion,plotsvgversion,plotpngversion,WIDEFIGUREWIDTH);
                end
                
                % plot of the BEC fit data - Close Up
                if plotBECfitclose
                   ResidualsBECBoxLineY=[(Dimpley+ResidualsBEChalfwidth-rangey(1)+1) (Dimpley+ResidualsBEChalfwidth-rangey(1)+1) (Dimpley-ResidualsBEChalfwidth-rangey(1)+1) (Dimpley-ResidualsBEChalfwidth-rangey(1)+1) (Dimpley+ResidualsBEChalfwidth-rangey(1)+1)]; %#ok<UNRCH>
                   ResidualsBECBoxLineX=[(Dimplex-ResidualsBEChalfwidth-rangex(1)+1) (Dimplex+ResidualsBEChalfwidth-rangex(1)+1) (Dimplex+ResidualsBEChalfwidth-rangex(1)+1) (Dimplex-ResidualsBEChalfwidth-rangex(1)+1) (Dimplex-ResidualsBEChalfwidth-rangex(1)+1)];
                   plotimagedata(fitsummaryfig13,FitBECDataPlot,datamap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'FitBECSmall'],...
                        0,DataTicks,ImDataScale,plotpdfversion,plotsvgversion,plotpngversion,NORMALFIGUREWIDTH,ResidualsBECBoxLineX,ResidualsBECBoxLineY,0,ImDataOffset);
                end
                % plot of the BEC fit data - Wide View
                if plotBECfitwide
                    FullfittedDataPlot=fittedData(rangey,bigrangex); %#ok<UNRCH>
                    FullResidualsBECBoxLineY=[(Dimpley+ResidualsBEChalfwidth-rangey(1)+1) (Dimpley+ResidualsBEChalfwidth-rangey(1)+1) (Dimpley-ResidualsBEChalfwidth-rangey(1)+1) (Dimpley-ResidualsBEChalfwidth-rangey(1)+1) (Dimpley+ResidualsBEChalfwidth-rangey(1)+1)];
                    FullResidualsBECBoxLineX=[(Dimplex-ResidualsBEChalfwidth-bigrangex(1)+1) (Dimplex+ResidualsBEChalfwidth-bigrangex(1)+1) (Dimplex+ResidualsBEChalfwidth-bigrangex(1)+1) (Dimplex-ResidualsBEChalfwidth-bigrangex(1)+1) (Dimplex-ResidualsBEChalfwidth-bigrangex(1)+1)];
                    plotimagedata(fitsummaryfig14,FullfittedDataPlot,datamap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'FitBEC'],...
                        0,DataTicks,ImDataScale,plotpdfversion,plotsvgversion,plotpngversion,WIDEFIGUREWIDTH,FullResidualsBECBoxLineX,FullResidualsBECBoxLineY,0,ImDataOffset);
                end
                % plot of the Thermal fit data - Close Up
                if plotthermalfitclose
                   ResidualsThBoxLineY=[(Dimpley+ResidualsBEChalfwidth-rangey(1)+1) (Dimpley+ResidualsBEChalfwidth-rangey(1)+1) (Dimpley-ResidualsBEChalfwidth-rangey(1)+1) (Dimpley-ResidualsBEChalfwidth-rangey(1)+1) (Dimpley+ResidualsBEChalfwidth-rangey(1)+1)]; %#ok<UNRCH>
                   ResidualsThBoxLineX=[(Dimplex-ResidualsBEChalfwidth-rangex(1)+1) (Dimplex+ResidualsBEChalfwidth-rangex(1)+1) (Dimplex+ResidualsBEChalfwidth-rangex(1)+1) (Dimplex-ResidualsBEChalfwidth-rangex(1)+1) (Dimplex-ResidualsBEChalfwidth-rangex(1)+1)];
                   plotimagedata(fitsummaryfig15,FitThDataPlot,datamap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'FitThSmall'],...
                        0,DataTicks,ImDataScale,plotpdfversion,plotsvgversion,plotpngversion,NORMALFIGUREWIDTH,ResidualsThBoxLineX,ResidualsThBoxLineY,0,ImDataOffset);
                end
                % plot of the Thermal fit data - Wide View
                if plotthermalfitwide
                    FullfittedThDataPlot=fittedThData(rangey,bigrangex); %#ok<UNRCH>
                    FullResidualsThBoxLineY=[(Dimpley+ResidualsBEChalfwidth-rangey(1)+1) (Dimpley+ResidualsBEChalfwidth-rangey(1)+1) (Dimpley-ResidualsBEChalfwidth-rangey(1)+1) (Dimpley-ResidualsBEChalfwidth-rangey(1)+1) (Dimpley+ResidualsBEChalfwidth-rangey(1)+1)];
                    FullResidualsThBoxLineX=[(Dimplex-ResidualsBEChalfwidth-bigrangex(1)+1) (Dimplex+ResidualsBEChalfwidth-bigrangex(1)+1) (Dimplex+ResidualsBEChalfwidth-bigrangex(1)+1) (Dimplex-ResidualsBEChalfwidth-bigrangex(1)+1) (Dimplex-ResidualsBEChalfwidth-bigrangex(1)+1)];
                    plotimagedata(fitsummaryfig16,FullfittedThDataPlot,datamap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'FitTh'],...
                        0,DataTicks,ImDataScale,plotpdfversion,plotsvgversion,plotpngversion,WIDEFIGUREWIDTH,FullResidualsThBoxLineX,FullResidualsThBoxLineY,0,ImDataOffset);
                end
            end
       end
    end
    
    if (sum((timeimagedata(:,1)==1)&((timeimagedata(:,4)==18)|(timeimagedata(:,4)==19)|(timeimagedata(:,4)==38)))>0)
        if SAVE3DCROSSSECTIONS
            colorbarvals=(0:255)/255*(colorbarrangeA(2)-colorbarrangeA(1))+colorbarrangeA(1);
            datamapinputa=zeros(256,4);
            colvalthispointlista=zeros(256,1);
            for ind=1:length(colorbarvals)
                evaltimeval=colorbarvals(ind);
                startind=find(evaltimeval<colorbarrange(:,1),1,'first')-1;
                colvalthispoint=colorbarrange(startind,2)+(evaltimeval-colorbarrange(startind,1))/(colorbarrange(startind+1,1)-colorbarrange(startind,1))*(colorbarrange(startind+1,2)-colorbarrange(startind,2));
                rgbcol = (vals2colormap(colvalthispoint, 'jet', [0 1]))*jetmultiplier;
                colvalthispointlista(ind)=colvalthispoint;
                datamapinputa(ind,1:4)=[(ind-1)/255,rgbcol(1),rgbcol(2),rgbcol(3)];
            end

            colorbarvals=(0:255)/255*(colorbarrangeB(2)-colorbarrangeB(1))+colorbarrangeB(1);
            datamapinputb=zeros(256,4);
            colvalthispointlistb=zeros(256,1);
            for ind=1:length(colorbarvals)
                evaltimeval=colorbarvals(ind);
                startind=find(evaltimeval<colorbarrange(:,1),1,'first')-1;
                colvalthispoint=colorbarrange(startind,2)+(evaltimeval-colorbarrange(startind,1))/(colorbarrange(startind+1,1)-colorbarrange(startind,1))*(colorbarrange(startind+1,2)-colorbarrange(startind,2));
                rgbcol = (vals2colormap(colvalthispoint, 'jet', [0 1]))*jetmultiplier;
                colvalthispointlistb(ind)=colvalthispoint;
                datamapinputb(ind,1:4)=[(ind-1)/255,rgbcol(1),rgbcol(2),rgbcol(3)];
            end
            shorttimesmap=makecolormap(datamapinputa,256);
            longtimesmap=makecolormap(datamapinputb,256);
        end
        if plot3DCS
            figure(fitsummaryfig32);
            hold off
            view([55 25]);
            axis tight
            axisval=axis;
            
            axis([narrowX2(1) narrowX2(end) axisval(3) axisval(4) OD3DCS(1) OD3DCS(2)]);
            
            if SAVE3DCROSSSECTIONS
                set(gca,'FontSize',20,'Box','on','YTickLabel',[],'YTick',[],'YGrid','off','XGrid','off','ZGrid','off');
                set(fitsummaryfig32,'position',[FIGXOFFSET1 FIGYOFFSET1 FIGSIZEX1*1.5/1.5 (FIGSIZEY1)*1/1.5]);

                set(fitsummaryfig32,'PaperPositionMode','auto');
                if plotpdfversion
                   print(fitsummaryfig32,'-painters','-dpdf',[figuredirectory,'\Crosssection3D',seriesnumtext]);
                end
                if plotsvgversion
                    print(fitsummaryfig32,'-dsvg',[figuredirectory,'\Crosssection3D',seriesnumtext]); %#ok<UNRCH>
                end
                if plotpngversion
                    print(fitsummaryfig32,'-dpng',[figuredirectory,'\Crosssection3D',seriesnumtext]); %#ok<UNRCH>
                end

                set(gca,'FontSize',10,'Box','on','YTickLabel',[],'YTick',[],'YGrid','off','XGrid','off','ZGrid','off');
                set(fitsummaryfig32,'position',[FIGXOFFSET1 FIGYOFFSET1 FIGSIZEX1*1.5/2.5 (FIGSIZEY1)*1/2.5]);
                
                if plotpdfversion
                   print(fitsummaryfig32,'-painters','-dpdf',[figuredirectory,'\Crosssection3DSmall',seriesnumtext]);
                end
                if plotsvgversion
                    print(fitsummaryfig32,'-dsvg',[figuredirectory,'\Crosssection3DSmall',seriesnumtext]); %#ok<UNRCH>
                end
                if plotpngversion
                    print(fitsummaryfig32,'-dpng',[figuredirectory,'\Crosssection3DSmall',seriesnumtext]); %#ok<UNRCH>
                end

                figure(fitsummaryfig33);
                CloneFig(fitsummaryfig32,fitsummaryfig33);

                colormap(longtimesmap);
                ticktimes=[30,45,60];
                tickplaces=(ticktimes-colorbarrangeB(1))/(colorbarrangeB(2)-colorbarrangeB(1));
                cb=colorbar('southoutside','Ticks',tickplaces,...
             'TickLabels',{num2str(ticktimes(1)),num2str(ticktimes(2)),num2str(ticktimes(3))});
                cb.Label.String = 'Time';

                set(fitsummaryfig33,'position',[FIGXOFFSET1 FIGYOFFSET1 FIGSIZEX1*1.5/2 (FIGSIZEY1)*0.8]);

                set(fitsummaryfig33,'PaperPositionMode','auto');
                if plotpdfversion
                    print(fitsummaryfig33,'-painters','-dpdf',[figuredirectory,'\Crosssection3DLongBar',seriesnumtext]);
                end
                if plotsvgversion
                    print(fitsummaryfig33,'-dsvg',[figuredirectory,'\Crosssection3DLongBar',seriesnumtext]); %#ok<UNRCH>
                end
                if plotpngversion
                    print(fitsummaryfig33,'-dpng',[figuredirectory,'\Crosssection3DLongBar',seriesnumtext]); %#ok<UNRCH>
                end

                figure(fitsummaryfig34);
                    CloneFig(fitsummaryfig32,fitsummaryfig34);
                    colormap(shorttimesmap);
                    ticktimes=[1.5,1.8,2.2,2.5,2.8,3.2,15];
                    tickplaces=(ticktimes-colorbarrangeA(1))/(colorbarrangeA(2)-colorbarrangeA(1));
                    cb=colorbar('southoutside','Ticks',tickplaces,...
                 'TickLabels',{num2str(ticktimes(1)),num2str(ticktimes(2)),num2str(ticktimes(3)),num2str(ticktimes(4)),num2str(ticktimes(5)),num2str(ticktimes(6)),num2str(ticktimes(7))});
                    cb.Label.String = 'Time';

            set(fitsummaryfig34,'PaperPositionMode','auto');
                if plotpdfversion
                    print(fitsummaryfig34,'-painters','-dpdf',[figuredirectory,'\Crosssection3DShortbar',seriesnumtext]);
                end
                if plotsvgversion
                    print(fitsummaryfig34,'-dsvg',[figuredirectory,'\Crosssection3DShortbar',seriesnumtext]); %#ok<UNRCH>
                end
                if plotpngversion
                    print(fitsummaryfig34,'-dpng',[figuredirectory,'\Crosssection3DShortbar',seriesnumtext]); %#ok<UNRCH>
                end
            end
        end

    end
    if SAVEHYPOTHESISSUMMARY
        
        MINPLOTVALUE=1e-6;
        figure(fitsummaryfig1);
        set(fitsummaryfig1,'position',[FIGXOFFSET1 FIGYOFFSET1 FIGSIZEX1+200 FIGSIZEY1]);
        clf;
        % semilogy(timeimagedata((timeimagedata(:,1)==1),2),max(1e-4,probability(timeimagedata(:,1)==1)),'k.');
        [hAx,hLine1,hLine2]=plotyy(timeimagedata((timeimagedata(:,1)==1),2)/1e3,max(MINPLOTVALUE,probability(timeimagedata(:,1)==1)),timeimagedata((timeimagedata(:,1)==1),2)/1e3,x0series(2:end,19)); %#ok<PLOTYY>
        % title('BEC');
        ylabel(hAx(1),'False rejection probability of Thermal over BEC fit');
        ylabel(hAx(2),'BEC atom number');
        xlabel('Time [s]');
        set(hLine1,'LineStyle','none','MarkerSize',10,'Marker','x');
        set(hLine2,'LineStyle','none','MarkerSize',10,'Marker','o');
        set(hAx(1),'FontSize',20,'YGrid','on','XGrid','on','YScale','log');
        set(hAx(2),'FontSize',20,'YGrid','on','XGrid','on');

        ytkvct = 10.^linspace(-6, 0, 7);
        hAx(1).YLim=[ytkvct(1),ytkvct(end)];
        hAx(2).YLim=[0 15000];
        set(hAx(1), 'YTick', ytkvct);
        set(hAx(1), 'YMinorTick','off', 'XMinorTick','off', 'YMinorGrid','off')%, 'XMinorGrid','on')
        set(hAx(2), 'YTick', 0:2500:15000);

        % h(1).LineWidth=4;
        set(gca,'XGrid','on','YGrid','on','YMinorGrid','on','FontSize',18,'MinorGridColor',[1 1 1]*0.5,'GridColor',[1 1 1]*0.8,'GridColorMode','manual','MinorGridColorMode','manual','GridAlpha',1,'MinorGridAlpha',1,'MinorGridAlphaMode','manual');
        % eval(['set(fignum,''OuterPosition'',[screenpos(1,1)+figurewidth*xscreenpos+1 screenpos(1,2)+figureheight*yscreenpos+1 figurewidth figureheight],''color'',''w'');']);

        % export_fig([figuredirectory,'\HypothesisTesting',seriesnumtext,'.png']);
        % saveas(fitsummaryfig1,[figuredirectory,'\HypothesisTesting',seriesnumtext,'.png']);

        set(fitsummaryfig1,'PaperPositionMode','auto');
        if plotpdfversion || plothypothesistesting
            print(fitsummaryfig1,'-painters','-dpdf',[figuredirectory,'\HypothesisTesting',seriesnumtext]);
        end
        if plotsvgversion
            print(fitsummaryfig1,'-dsvg',[figuredirectory,'\HypothesisTesting',seriesnumtext]); %#ok<UNRCH>
        end
        if plotpngversion
            print(fitsummaryfig1,'-dpng',[figuredirectory,'\HypothesisTesting',seriesnumtext]); %#ok<UNRCH>
        end
        
        hAx(1).XLim=[2 3];
        hAx(2).XLim=[2 3];
        set(fitsummaryfig1,'PaperPositionMode','auto');
        if plotpdfversion || plothypothesistesting
            print(fitsummaryfig1,'-painters','-dpdf',[figuredirectory,'\HypothesisTestingCloseup',seriesnumtext]);
        end
        if plotsvgversion
            print(fitsummaryfig1,'-dsvg',[figuredirectory,'\HypothesisTestingCloseup',seriesnumtext]); %#ok<UNRCH>
        end
        if plotpngversion
            print(fitsummaryfig1,'-dpng',[figuredirectory,'\HypothesisTestingCloseup',seriesnumtext]); %#ok<UNRCH>
        end
    end

    % figure(21);
    % clf;
    % plotyy(1:122,probability,1:122,x0series(2:end,19));
    % 
    % figure(22);
    % clf;
    % plot(timeimagedata((timeimagedata(:,1)==1),2)/1e3,'k.');
end


% this is tacked on to plot the anisotropy and absorption data for several
% times of flight

for ind=1:size(timeimagedata,1)
    if (timeimagedata(ind,1)==1)
        if (timeimagedata(ind,4)==20)||(timeimagedata(ind,4)==23)||(timeimagedata(ind,4)==26)||(timeimagedata(ind,4)==28)
            variablestotransfer={'Fullmatrix','PCAmatrix','roilocation','PCAcrop','imdata','X','Y','xx','yy','dimX','dimY','dimX2','dimY2','seriesnumtext'};
            for transferind=1:length(variablestotransfer)
                eval([variablestotransfer{transferind},'=S',num2str(timeimagedata(ind,4)),variablestotransfer{transferind},';']);
            end
            % plot of the absorption image data
            Detuning=0;
            AnisotropyBlur2=AnisotropyBlur;
            if (timeimagedata(ind,4)==23)
                
                % Imaged at 461nm resonant freq double pass Imag 1 AOM setting = 211.4 MHz
                % Imaged at 461nm 0MHz detuned freq double pass Imag 1 AOM
                % setting = 191.4 MHz (Effective 40MHz detuned)

                % the resulting attenuated scattering rate is:
                
                Dimpley2=271;
                Dimplex2=480;
                rangey2=251:291;
                rangex2=460:500;
                Anisotropyhalfwidth2=7;
%                 Anisotropyhalfwidth2=5;
                
                AnisotropyScale2=AnisotropyScale/20;
                AnisotropyTicks2=[-1.2 1.2];
%                 AnisotropyTicks2(1)=ceil(AnisotropyTicks2(1));
%                 AnisotropyTicks2(end)=floor(AnisotropyTicks2(end));
                
                ImDataOffset2=ImDataOffset*8;
                ImDataScale2=ImDataScale/8;
                DataTicks2=DataTicks*8;
%                 DataTicks2(end)=floor(DataTicks2(end));
            elseif (timeimagedata(ind,4)==28)
                
                % Imaged at 461nm resonant freq double pass Imag 1 AOM setting = 211.4 MHz
                % Imaged at 461nm 0MHz detuned freq double pass Imag 1 AOM
                % setting = 191.4 MHz (Effective 40MHz detuned)

                % the resulting attenuated scattering rate is:
                
                switch timeimagedata(ind,3)
                    case 2
                        Dimpley2=271;
                        Dimplex2=480;
                        rangey2=251:291;
                        rangex2=460:500;
                        Anisotropyhalfwidth2=7;
                        AnisotropyScale2=AnisotropyScale/25;
                        AnisotropyTicks2=[-1.2 1.2];

                        ImDataOffset2=ImDataOffset*8;
                        ImDataScale2=ImDataScale/8;
                        DataTicks2=DataTicks*8;
                    case 3
                        Dimpley2=282;
                        Dimplex2=480;
                        rangey2=251:313;
                        rangex2=460:500;
                        Anisotropyhalfwidth2=10;

                        AnisotropyScale2=AnisotropyScale/10;
                        AnisotropyTicks2=AnisotropyTicks*10;
                        ImDataOffset2=ImDataOffset*8;
                        ImDataScale2=ImDataScale/8;
                        DataTicks2=DataTicks*8;
                    case 4
                        Dimpley2=282;
                        Dimplex2=480;
                        rangey2=251:313;
                        rangex2=460:500;
                        Anisotropyhalfwidth2=10;

                        AnisotropyScale2=AnisotropyScale/10;
                        AnisotropyTicks2=AnisotropyTicks*10;
                        ImDataOffset2=ImDataOffset*8;
                        ImDataScale2=ImDataScale/8;
                        DataTicks2=DataTicks*8;
                    case 10
                        Dimpley2=597;
                        Dimplex2=478;
                        rangey2=520:670;
                        rangex2=400:580;
                        Anisotropyhalfwidth2=33;
                        AnisotropyScale2=AnisotropyScale;
                        AnisotropyTicks2=AnisotropyTicks;

                        ImDataOffset2=ImDataOffset;
                        ImDataScale2=ImDataScale;
                        DataTicks2=DataTicks;
                end
            elseif (timeimagedata(ind,4)==20)
                Dimpley2=282;
                Dimplex2=480;
                rangey2=251:313;
                rangex2=460:500;
                Anisotropyhalfwidth2=10;
                
                AnisotropyScale2=AnisotropyScale/10;
                AnisotropyTicks2=AnisotropyTicks*10;
                ImDataOffset2=ImDataOffset*8;
                ImDataScale2=ImDataScale/8;
                DataTicks2=DataTicks*8;
            elseif (timeimagedata(ind,4)==26)
                Dimpley2=597;
                Dimplex2=478;
                rangey2=520:670;
                rangex2=400:580;
                Anisotropyhalfwidth2=33;
                AnisotropyScale2=AnisotropyScale;
                AnisotropyTicks2=AnisotropyTicks;
                
                ImDataOffset2=ImDataOffset;
                ImDataScale2=ImDataScale;
                DataTicks2=DataTicks;
           end
            imagenumber=timeimagedata(ind,3);
            plottime=timeimagedata(ind,2);
            truetime=timeimagedata(ind,5);

            meanImData = convertatomnumbertoOD(reshape(Fullmatrix(imagenumber,:),[dimX2 dimY2]),Xcal,Ycal,Detuning);
            ImDataPlot=meanImData(rangey2,rangex2);

            NORMALFIGUREWIDTH=1;
            WIDEFIGUREWIDTH=2;

            % plot of the absorption image data
            FullImDataPlot=meanImData(rangey2,rangex);
            FullAnisotropyBoxLineY=[(Dimpley2+Anisotropyhalfwidth2-rangey2(1)+1) (Dimpley2+Anisotropyhalfwidth2-rangey2(1)+1) (Dimpley2-Anisotropyhalfwidth2-rangey2(1)+1) (Dimpley2-Anisotropyhalfwidth2-rangey2(1)+1) (Dimpley2+Anisotropyhalfwidth2-rangey2(1)+1)];
            FullAnisotropyBoxLineX=[(Dimplex2-Anisotropyhalfwidth2-rangex(1)+1) (Dimplex2+Anisotropyhalfwidth2-rangex(1)+1) (Dimplex2+Anisotropyhalfwidth2-rangex(1)+1) (Dimplex2-Anisotropyhalfwidth2-rangex(1)+1) (Dimplex2-Anisotropyhalfwidth2-rangex(1)+1)];
            CrosssectionBoxLineY=[(Dimpley+CrosssectionHalfWidthX-rangey(1)+1) (Dimpley+CrosssectionHalfWidthX-rangey(1)+1) (Dimpley-CrosssectionHalfWidthX-rangey(1)+1) (Dimpley-CrosssectionHalfWidthX-rangey(1)+1) (Dimpley+CrosssectionHalfWidthX-rangey(1)+1)];
            CrosssectionBoxLineX=[(narrowrangex(1)-rangex(1)+1) (narrowrangex(end)-rangex(1)+1) (narrowrangex(end)-rangex(1)+1) (narrowrangex(1)-rangex(1)+1) (narrowrangex(1)-rangex(1)+1)];
            plotimagedata(fitsummaryfig21,FullImDataPlot,datamap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'Absorption'],...
                0,DataTicks2,ImDataScale2,plotpdfversion,plotsvgversion,plotpngversion,WIDEFIGUREWIDTH,FullAnisotropyBoxLineX,FullAnisotropyBoxLineY,0,ImDataOffset2);
            
            % plot the anisotropy data
            Anisotropy=ImDataPlot((Dimpley2-(Anisotropyhalfwidth2+AnisotropyBlur2)-rangey2(1)+1):(Dimpley2+(Anisotropyhalfwidth2+AnisotropyBlur2)-rangey2(1)+1),(Dimplex2-(Anisotropyhalfwidth2+AnisotropyBlur2)-rangex2(1)+1):(Dimplex2+(Anisotropyhalfwidth2+AnisotropyBlur2)-rangex2(1)+1));
            Anisotropy=(Anisotropy+imrotate(Anisotropy,180))/2;
            Anisotropy=Anisotropy-Anisotropy.';
            plotimagedata(fitsummaryfig8,Anisotropy,blueredmap,[figuredirectory,'\T',num2str(truetime,'%05.f'),seriesnumtext,'P',num2str(imagenumber,'%03d'),'Anisotropy'],...
                AnisotropyBlur2,AnisotropyTicks2,AnisotropyScale2,plotpdfversion,plotsvgversion,plotpngversion,NORMALFIGUREWIDTH);

        end
    end
end


