% function [fignum]=Fig2plotdipoletrap(beam,fignum,xrange,yrange,zrange,filenameroot)

figureplotsize=[100 100 600 250];
potentialcaxis=[-16 0];


plotsideprofiles=1;
zeromaxscale=0;
% setplotpositions=0;

kB=1.3806504e-23;
au=1.660538782e-27;
mSr88=87.9056121*au; % (* kg *)
mSr87=86.9088771*au;
mSr86=85.9092602*au;
mSr84=83.913425*au;
mass=mSr84;
mot_t=1.35e-6;
evapfactor=1/3;
contourvalues=-12:0.5:10;
gravity=9.81;

inversejet=colormap('jet');
inversejet=inversejet(end:-1:1,:);

[xx,yy,zz]=meshgrid(xrange,yrange,zrange);
[xxindex,yyindex,zzindex]=meshgrid(1:length(xrange),1:length(yrange),1:length(zrange));
Udiptot1S0=yy*gravity*mass;
%     Gammasctot1S0=zeros(size(Udiptot1S0));
%     Itot=zeros(size(Udiptot1S0));
for ind=1:length(beam)
    [Ival,Udip,Gammasc]=calcdipoletrap(beam(ind),xx,yy,zz,'1S0');
    
    Udiptot1S0=Udiptot1S0+Udip;
%         Itot=Itot+Ival;
%         Gammasctot1S0=Gammasctot1S0+Gammasc;
end

Udipgrad=Udiptot1S0(2:end,:,:)-Udiptot1S0(1:(end-1),:,:);

signUdipgrad=sign(Udipgrad);

minval1=zeros(size(Udiptot1S0,2),size(Udiptot1S0,3));
maxval1=zeros(size(Udiptot1S0,2),size(Udiptot1S0,3));
minval2=zeros(size(Udiptot1S0,2),size(Udiptot1S0,3));
maxval2=zeros(size(Udiptot1S0,2),size(Udiptot1S0,3));
% minval3=zeros(size(Udiptot1S0,2),size(Udiptot1S0,3));
Umin1=zeros(size(minval1));
Umin2=zeros(size(minval1));
Umax1=zeros(size(minval1));
Umax2=zeros(size(minval1));

netsign=(signUdipgrad(1:(end-1),:,:)-signUdipgrad(2:end,:,:));

[i1,i2,i3]=ind2sub(size(netsign),find(netsign==-2));
index=i2+(i3-1)*size(minval1,1);
[C,ia]=unique(index);
minval1(C)=Udiptot1S0(sub2ind(size(Udiptot1S0),i1(ia)+1,i2(ia),i3(ia)));
netsign(sub2ind(size(netsign),i1(ia),i2(ia),i3(ia)))=0;

[i1,i2,i3]=ind2sub(size(netsign),find(netsign==-2));
index=i2+(i3-1)*size(minval1,1);
[C,ia]=unique(index);
minval2(C)=Udiptot1S0(sub2ind(size(Udiptot1S0),i1(ia)+1,i2(ia),i3(ia)));
netsign(sub2ind(size(netsign),i1(ia),i2(ia),i3(ia)))=0;

% minval2(minval2==0)=minval1(minval2==0);

[i1,i2,i3]=ind2sub(size(netsign),find(netsign==2));
index=i2+(i3-1)*size(minval1,1);
[C,ia]=unique(index);
maxval1(C)=Udiptot1S0(sub2ind(size(Udiptot1S0),i1(ia)+1,i2(ia),i3(ia)));
netsign(sub2ind(size(netsign),i1(ia),i2(ia),i3(ia)))=0;

[i1,i2,i3]=ind2sub(size(netsign),find(netsign==2));
index=i2+(i3-1)*size(minval1,1);
[C,ia]=unique(index);
maxval2(C)=Udiptot1S0(sub2ind(size(Udiptot1S0),i1(ia)+1,i2(ia),i3(ia)));

zeropoint=min(min(maxval1));

localdepth1=(maxval1-min(minval1,minval2))/kB/1e-6;
localdepth2=(maxval1-minval2)/kB/1e-6;
localdepth2(minval2==0)=0;
traplocaldepth=(maxval2-minval1)/kB/1e-6;
traplocaldepth(maxval2==0)=0;

potentialenergy1=(min(minval1,minval2)-zeropoint)/kB/1e-6;

% allminval=min(minval1,minval2);
% allminval(allminval==0)=min(min(allminval));
% potentialenergy1=(allminval-zeropoint)/kB/1e-6;

potentialenergy2=(minval2-zeropoint)/kB/1e-6;
potentialenergy2(minval2==0)=0;
trapzeropoint=min(min(maxval2));
trappotentialenergy=(minval1-trapzeropoint)/kB/1e-6;
trappotentialenergy(minval2==0)=0;


figure(fignum);
clf;
% close(gcf); figure(fignum);
% figure(fignum+1000);
% subplot(2,2,2,'replace');
imagesc(zrange/1e-3,xrange/1e-3,potentialenergy1);
% set(gca,'YDir','normal');
ylabel('X Position [mm]');
xlabel('Z Position [mm]');
title('Potential Energy in Transport 1S0 [uK]');
colormap(inversejet);
% caxis([0 4]);
caxis(potentialcaxis);
if zeromaxscale
    caxis([min(min(potentialenergy1)) 0]);
end
h = colorbar;
% set( h, 'YDir', 'reverse' );
axis tight
% axis equal
fighandle=gcf;
fighandle.Position=figureplotsize;
fighandle.Color = 'white';
fignum=fignum+1; 
if nargin==6
    img = getframe(gcf);
    imwrite(img.cdata, [filenameroot,'-XZPotential.png']);
end

% figure(fignum);
% clf;
% % close(gcf); figure(fignum);
% % figure(fignum+1000);
% % subplot(2,2,2,'replace');
% imagesc(zrange/1e-3,xrange/1e-3,minval1);
% set(gca,'YDir','normal');
% ylabel('X Position [mm]');
% xlabel('Z Position [mm]');
% title('Potential Energy in Transport 1S0 [uK]');
% colormap jet
% % caxis([0 4]);
% if zeromaxscale
%     caxis([min(min(potentialenergy1)) 0]);
% end
% colorbar;
% axis tight
% % axis equal
% fignum=fignum+1; 
% 
% figure(fignum);
% clf;
% % close(gcf); figure(fignum);
% % figure(fignum+1000);
% % subplot(2,2,2,'replace');
% imagesc(zrange/1e-3,xrange/1e-3,minval2);
% set(gca,'YDir','normal');
% ylabel('X Position [mm]');
% xlabel('Z Position [mm]');
% title('Potential Energy in Transport 1S0 [uK]');
% colormap jet
% % caxis([0 4]);
% if zeromaxscale
%     caxis([min(min(potentialenergy1)) 0]);
% end
% colorbar;
% axis tight
% % axis equal
% fignum=fignum+1; 
% 
% figure(fignum);
% clf;
% imagesc(zrange/1e-3,xrange/1e-3,potentialenergy2);
% set(gca,'YDir','normal');
% ylabel('X Position [mm]');
% xlabel('Z Position [mm]');
% title('Potential Energy 1S0 in Sheet [uK]');
% colormap jet
% % caxis([0 4]);
% if zeromaxscale
%     caxis([min(min(potentialenergy2)) 0]);
% end
% colorbar;
% axis tight
% % axis equal
% fignum=fignum+1;
% 
% figure(fignum);
% clf;
% imagesc(zrange/1e-3,xrange/1e-3,trappotentialenergy);
% set(gca,'YDir','normal');
% ylabel('X Position [mm]');
% xlabel('Z Position [mm]');
% title('Trap Potential Energy 1S0 in Sheet [uK]');
% colormap jet
% % caxis([0 4]);
% if zeromaxscale
%     caxis([min(min(trappotentialenergy)) 0]);
% end
% colorbar;
% axis tight
% % axis equal
% fignum=fignum+1;

figure(fignum);
clf;
imagesc(zrange/1e-3,xrange/1e-3,localdepth1);
set(gca,'YDir','normal');
ylabel('X Position [mm]');
xlabel('Z Position [mm]');
title('Local Depth Transport 1S0 [uK]');
colormap jet;
if zeromaxscale
    caxis([0 max(max(localdepth1))]);
end
colorbar;
axis tight
fighandle=gcf;
fighandle.Position=figureplotsize;
fighandle.Color = 'white';
fignum=fignum+1; 
if nargin==6
    img = getframe(gcf);
    imwrite(img.cdata, [filenameroot,'-XZLocalDepth.png']);
end

% figure(fignum);
% clf;
% imagesc(zrange/1e-3,xrange/1e-3,localdepth2);
% set(gca,'YDir','normal');
% ylabel('X Position [mm]');
% xlabel('Z Position [mm]');
% title('Local Depth Sheet 1S0 [uK]');
% colormap jet
% if zeromaxscale
%     caxis([0 max(max(localdepth2))]);
% end
% colorbar;
% axis tight
% fignum=fignum+1;
% 
% figure(fignum);
% clf;
% imagesc(zrange/1e-3,xrange/1e-3,traplocaldepth);
% set(gca,'YDir','normal');
% ylabel('X Position [mm]');
% xlabel('Z Position [mm]');
% title('Local Depth Sheet to Transport 1S0 [uK]');
% colormap jet
% if zeromaxscale
%     caxis([0 max(max(traplocaldepth))]);
% end
% colorbar;
% axis tight
% fignum=fignum+1;

if plotsideprofiles
    figure(fignum);
    clf;
    imagesc(zrange/1e-3,yrange/1e-3,(squeeze(min(Udiptot1S0,[],2))-zeropoint)/kB/1e-6);
    set(gca,'YDir','normal');
    ylabel('Y Position [mm]');
    xlabel('Z Position [mm]');
    title('Potential Energy 1S0 in Sheet [uK]');
    colormap(inversejet)
    caxis(potentialcaxis);
    % caxis([0 4]);
    if zeromaxscale
        caxis([min(min((squeeze(min(Udiptot1S0,[],2))-zeropoint)/kB/1e-6)) 0]);
    end
    colorbar;
    axis tight
    % axis equal
    fighandle=gcf;
    fighandle.Position=figureplotsize;
    fighandle.Color = 'white';
    fignum=fignum+1; 
    if nargin==6
        img = getframe(gcf);
        imwrite(img.cdata, [filenameroot,'-YZPotential.png']);
    end
    
    figure(fignum);
    clf;
    imagesc(xrange/1e-3,yrange/1e-3,(squeeze(min(Udiptot1S0,[],3))-zeropoint)/kB/1e-6);
    set(gca,'YDir','normal');
    ylabel('Y Position [mm]');
    xlabel('X Position [mm]');
    title('Potential Energy 1S0 in Sheet [uK]');
    colormap(inversejet)
    caxis(potentialcaxis);
    % caxis([0 4]);
    if zeromaxscale
        caxis([min(min((squeeze(min(Udiptot1S0,[],3))-zeropoint)/kB/1e-6)) 0]);
    end
    colorbar;
    axis tight
    % axis equal
    fighandle=gcf;
    fighandle.Position=figureplotsize;
    fighandle.Color = 'white';
    fignum=fignum+1; 
    if nargin==6
        img = getframe(gcf);
        imwrite(img.cdata, [filenameroot,'-XYPotential.png']);
    end
end

arrangelastfigures(4,8,1,2);



% end
