function reducedChiSquare=calculateChiSquare(imData,fittedData,nbParam,countX,countY,fullPixBool)

[SizeX,SizeY] = size(imData);
imDataAux = imData / sum(sum(imData))*SizeX*SizeY;
fittedDataAux = fittedData / sum(sum(fittedData))*SizeX*SizeY;

if fullPixBool
    reducedChiSquare = ((imDataAux - fittedDataAux).^2 ./ fittedDataAux);
    %reducedChiSquare = sum(sum(reducedChiSquare)) / (nbBinX*nbBinY-nbParam-1);
    reducedChiSquare = sum(sum(reducedChiSquare)) / (SizeX*SizeY-1);
else
    leftX = mod(SizeX, countX);
    leftY = mod(SizeY, countY);
    nbBinX = (SizeX-leftX)/countX;
    nbBinY = (SizeY-leftY)/countY;

    binTabX = (1:nbBinX)*0 + countX;
    binTabY = (1:nbBinY)*0 + countY; 
    binTabX(end) = binTabX(end)+leftX;
    binTabY(end) = binTabY(end)+leftY;

    imDataCell = mat2cell(imDataAux,binTabX,binTabY);
    fittedDataCell = mat2cell(fittedDataAux,binTabX,binTabY);

    imDataCell = reshape(imDataCell,[],1);
    fittedDataCell = reshape(fittedDataCell,[],1);
    kIm = length(imDataCell);
    countImDataTab = 1:kIm;
    countFittedDataTab = 1:kIm;

    for i=1:kIm
        countImDataTab(i) = sum(sum(imDataCell{i}));
        countFittedDataTab(i) = sum(sum(fittedDataCell{i}));
    end

    reducedChiSquare = ((countImDataTab - countFittedDataTab).^2 ./ countFittedDataTab);
    %reducedChiSquare = sum(reducedChiSquare) / (nbBinX*nbBinY-nbParam-1);
    reducedChiSquare = sum(reducedChiSquare) / (nbBinX*nbBinY-1);
end

end