function createimagedataset(directory,seriesnumber,imagenums,cameranumber)

MINTRANSMISSION=0.000001;


plotparam.legendlocation='southoutside';
% plotparam.removenegative=1;
plotparam.linestyle='.';
plotparam.datasection=plotparam.dataparameters+11;
% plotparam.xlabel='Wait [ms]';
plotparam.ylabel='NI';
plotparam.PCAmodeNumber=1:2;
plotparam.blursize=0;
verticalOffset=83; %put to 0 for fast fit, put to 83 for powerpoint slides
verticalSizeIncrease=2*verticalOffset;
plotparam.PCAcrop=round([504 11 235 985]);
plotparam.Plotcrop=round([504-verticalOffset   11  235+verticalSizeIncrease  985]);
plotparam.doProbeIntensityCompensation=true;
plotparam.ProbeIntensityCompensationRegion=[1 450 800 1000]; 
plotparam.CrosssectionHalfWidth=20;
plotparam.resultsname=datestr(now,'yyyymmddHHMMSS'); % the directory name for the results
plotparam.PlotResultDataBMP = 0; % produces plot of the ResultData bmp file (original data)
plotparam.PlotResultFitBMP = 0; % produces plot of the ResultFit bmp file (final fit thermal+bec)
plotparam.PlotThermalFitBMP = 0; % produces plot of the ThermalFit bmp file (final fit thermal+bec minus bec)
plotparam.PlotResultResidualBMP = 1; % produces plot of the ResultResidual bmp file (residuals after final fit)
plotparam.PlotResultFirstFitBMP = 0; % produces plot of the ResultFirstFit bmp file (first fit thermal)
plotparam.PlotResultThermalOnlyResidualBMP = 1; % produces plot of the ResultThermalOnlyResidual bmp file (residuals after first fit, thermal only)

% [xdata,imagenumbers,lastxlabelname,directory]=loadvisionseriesdata(inputdate,seriesnumber,2,plotparam.xdatasection,plotparam.cameranumber,plotparam.datafilename);
% 
% touse=find((xdata>plotparam.xfitmin)&(xdata<plotparam.xfitmax));
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%
% % load the image dataset for the series
% %%%%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% if ~isempty(touse)
% xdatagood=xdata(touse);
% imagenums=imagenumbers(touse);
% 
% % if not asked to load images from raw files, try to load the MATLAB file already created, or specify to reload files if a problem occurs 
% if ~reloadimages
%     try
%         load([directory,'\S',num2str(seriesnumber),'\imagedataset'],'PCAmatrix','Fullmatrix','imagessummed','roilocation','Fulldata','imdata','plotparam.blursize','doProbeIntensityCompensation','ProbeIntensityCompensationRegion');
%         if (max(abs(roilocation-plotparam.PCAcrop))~=0)||(plotparam.blursize~=plotparam.blursize)||(plotparam.doProbeIntensityCompensation~=doProbeIntensityCompensation)||...
%                 (max(abs(ProbeIntensityCompensationRegion-plotparam.ProbeIntensityCompensationRegion))~=0)
%             rerunchoice=input('Differences detected in crop region, blur settings or intensity compensation from loaded version, rerun loading and fitting? Y/[N]: ','s');
%             if max(strcmp(rerunchoice,{'Y','y'}))
%                 reloadfitting=true;
%                 reloadfitting=true;
%             else
%                 plotparam.PCAcrop=roilocation;
%                 plotparam.blursize=plotparam.blursize;
%                 plotparam.doProbeIntensityCompensation=doProbeIntensityCompensation;
%                 plotparam.SSBECfitparam=SSBECfitparam;
%                 plotparam.ProbeIntensityCompensationRegion=ProbeIntensityCompensationRegion;
%             end
%             reloadimages=true;
%         end
%     catch
%         reloadimages=true;
%     end
% end

% load and save the images
% if reloadimages
    imagessummed=0;
    imagessummedreported=0;
    for imagenumber=imagenums
        if imagessummed>(imagessummedreported+10)
            display(['Loading...',num2str(imagessummed/numel(imagenums)*100),'%']);
            imagessummedreported=imagessummed;
        end
        [~,newdata,raw,probe]=loadvisionpicture(directory,seriesnumber,imagenumber,cameranumber);

        % intensity compensation on the probe and atoms images on the OD value
        if plotparam.doProbeIntensityCompensation;
            edgesregion=[plotparam.ProbeIntensityCompensationRegion(1):plotparam.ProbeIntensityCompensationRegion(2),plotparam.ProbeIntensityCompensationRegion(3):plotparam.ProbeIntensityCompensationRegion(4)];
            rawav=sum(sum(raw(edgesregion,:)))/length(edgesregion)/size(raw,2);
            probeav=sum(sum(probe(edgesregion,:)))/length(edgesregion)/size(probe,2);                      
        end
        OD=-log(max(MINTRANSMISSION,raw./probe*probeav/rawav));
        Fulldata=(plotparam.SSBECfitparam.Xcal * plotparam.SSBECfitparam.Ycal * 1e-6)*OD/absCross; % double sum Fulldata to get the atom number

%         if numel(plotparam.PCAcrop)==4 % if crop rectangle is already defined
            if newdata %ensure load data was successful
%                 imdata=double(Fulldata(plotparam.PCAcrop(1):(plotparam.PCAcrop(1)+plotparam.PCAcrop(3)-1),plotparam.PCAcrop(2):(plotparam.PCAcrop(2)+plotparam.PCAcrop(4)-1)));
                if plotparam.blursize>0
                    imdata=blurdata(imdata,plotparam.blursize);
                    Fulldata=blurdata(Fulldata,plotparam.blursize);
                end
                if imagessummed==0
                    PCAmatrix=zeros(numel(imagenums)+1,numel(imdata));
                    Fullmatrix=zeros(numel(imagenums)+1,numel(Fulldata));
                end
                imagessummed=imagessummed+1;
                PCAmatrix(imagessummed+1,:)=reshape(imdata,[1,numel(imdata)]);
                Fullmatrix(imagessummed+1,:)=reshape(Fulldata,[1,numel(Fulldata)]);
            end
%         end
    end
    PCAmatrix(1,:)=sum(PCAmatrix,1)/size(PCAmatrix,1);
    Fullmatrix(1,:)=sum(Fullmatrix,1)/size(Fullmatrix,1); %#ok<NASGU>
    imdata=reshape(PCAmatrix(1,:),size(imdata)); %#ok<NASGU>
    roilocation=plotparam.PCAcrop; %#ok<NASGU>
    blursize=plotparam.blursize; %#ok<NASGU>
    ProbeIntensityCompensationRegion=plotparam.ProbeIntensityCompensationRegion; %#ok<NASGU>
    doProbeIntensityCompensation=plotparam.doProbeIntensityCompensation; %#ok<NASGU>

    % save the images loaded as a MATLAB format, for later use in other runs
    save([directory,'\S',num2str(seriesnumber),'\imagedataset'],'PCAmatrix','Fullmatrix','imagessummed','roilocation','Fulldata','imdata','blursize','doProbeIntensityCompensation','ProbeIntensityCompensationRegion');
% end
