function plot3DFitimage(figurenum,Scale3DFit,FitData,FitDataOffset,FitDataScale,ImDataPlot,ImDataOffset,ImDataScale,datamap,ResidualData,ResidualsBECBlur,ResDataScale,ResDataOffset,Residualmap,X2,Y2,offset3dfit,Fit3DPlotMinOD,Fit3DPlotMaxOD,filename,plotpdfversion,plotsvgversion,plotpngversion)

    FIGSIZEX1V2=770;    FIGSIZEY1V2=750;    FIGXOFFSET1V2=30;    FIGYOFFSET1V2=50;

    figure(figurenum);
    clf;
    set(figurenum,'position',[FIGXOFFSET1V2 FIGYOFFSET1V2 FIGSIZEX1V2 FIGSIZEY1V2]);

    FitdataRGB=ind2rgb(round(max(0,min((FitData+FitDataOffset)*FitDataScale,255))),datamap);

    figure(figurenum);
    s=surface(X2,Y2,FitData*Scale3DFit,FitdataRGB,'EdgeColor','none');
    set(gca,'YDir','normal');
    shading interp
    lightangle(145,60)
    lightangle(145,70)
    s.FaceLighting = 'gouraud';
    s.AmbientStrength = 0.3;
    s.DiffuseStrength = 0.4;
    s.SpecularStrength = 0.2;
    s.SpecularExponent = 25;
    s.BackFaceLighting = 'unlit';
    axis tight

    hold on;
    [xxplot,yyplot] = meshgrid(X2,Y2);

    ImdataRGB=ind2rgb(round(max(0,min((ImDataPlot+ImDataOffset)*ImDataScale,255))),datamap);

    datsurf=warp(xxplot,yyplot,-offset3dfit*ones(size(xxplot)),ImdataRGB);
    set(datsurf,'CDataMapping','direct','BackFaceLighting','lit');

    ResidualRGB=ind2rgb(round(max(0,min(blurdata(ResidualData,ResidualsBECBlur)*ResDataScale+ResDataOffset,255))),Residualmap);

    residsurf=warp(xxplot,yyplot,-offset3dfit*2*ones(size(xxplot)),ResidualRGB);
    set(residsurf,'CDataMapping','direct','BackFaceLighting','lit');

    axisval=axis;
    axis([axisval(1:4)  Fit3DPlotMinOD Fit3DPlotMaxOD]);
    view([-30,12.5]);
    set(gca,'YTickLabelMode','manual','YTickLabel',[],'ZTickLabelMode','manual','ZTickLabel',[],'YTickLabelMode','manual','XTickLabel',[],'XTick',[],'YTick',[],'ZTick',[]);
    set(gca,'Visible','off')

    hold off;
    set(figurenum,'PaperPositionMode','auto');
    if plotpdfversion,
        print(figurenum,'-painters','-dpdf',filename);
    end
    if plotsvgversion,
        print(figurenum,'-dsvg',filename);
    end
    if plotpngversion,
        print(figurenum,'-dpng',filename);
    end

end

