function plotimagedata(figurenumber,ResidualsBEC,Residualscolormap,filename,ResidualsBECBlur,ResidualsTicks,ResidualsScale,plotpdfversion,plotsvgversion,plotpngversion,figurewidthmultiplier,ResidualsBECBoxLineX,ResidualsBECBoxLineY,RawOffset,ScaledOffset,CrosssectionBoxLineX,CrosssectionBoxLineY)

    FIGSIZEX1=770;    FIGSIZEY1=650;    FIGXOFFSET1=30;    FIGYOFFSET1=50;
%     FIGSIZEX1V2=770;    FIGSIZEY1V2=750;    FIGXOFFSET1V2=30;    FIGYOFFSET1V2=50;
    
    if nargin<16
        CrosssectionBoxLineX=[];
        CrosssectionBoxLineY=[];
    end

    if nargin<12
        ResidualsBECBoxLineX=[];
        ResidualsBECBoxLineY=[];
        RawOffset=127;
        ScaledOffset=0;
    end
    
    if ResidualsBECBlur>0
        ResidualsBEC=blurdata(ResidualsBEC,ResidualsBECBlur);
    end
    figure(figurenumber);
    clf;
    set(figurenumber,'position',[FIGXOFFSET1 FIGYOFFSET1 FIGSIZEX1*figurewidthmultiplier/2+100 FIGSIZEY1/2]);

    ResidualsBECRGB=ind2rgb(round(max(0,min((ResidualsBEC+ScaledOffset)*ResidualsScale+RawOffset,255))),Residualscolormap);
    image(ResidualsBECRGB);
    colormap(Residualscolormap);
    cb=colorbar('Ticks',((ResidualsTicks+ScaledOffset)*ResidualsScale+RawOffset)/255,'TickLabels',{num2str(ResidualsTicks(1)),num2str(ResidualsTicks(2))});
    cb.Label.String = 'Optical Density';
    axis image
    set(gca,'FontSize',20,'XTickLabelMode','manual','XTickLabel',[],'YTickLabelMode','manual','YTickLabel',[]);

    if ~isempty(ResidualsBECBoxLineX)
        set(figurenumber,'PaperPositionMode','auto');
        if plotpdfversion
            print(figurenumber,'-painters','-dpdf',[filename,'NoBox']);
        end
        if plotsvgversion
            print(figurenumber,'-dsvg',[filename,'NoBox']);
        end
        if plotpngversion
            print(figurenumber,'-dpng',[filename,'NoBox']);
        end
        line(ResidualsBECBoxLineX,ResidualsBECBoxLineY,'Marker','none','LineStyle',':','Color','k','LineWidth',2);
    end        
    if ~isempty(CrosssectionBoxLineX)
        set(figurenumber,'PaperPositionMode','auto');
        if plotpdfversion
            print(figurenumber,'-painters','-dpdf',[filename,'AnisotropyBox']);
        end
        if plotsvgversion
            print(figurenumber,'-dsvg',[filename,'AnisotropyBox']);
        end
        if plotpngversion
            print(figurenumber,'-dpng',[filename,'AnisotropyBox']);
        end
        line(CrosssectionBoxLineX,CrosssectionBoxLineY,'Marker','none','LineStyle','--','Color','k','LineWidth',2);
    end        

    set(figurenumber,'PaperPositionMode','auto');
    if plotpdfversion
        print(figurenumber,'-painters','-dpdf',filename);
    end
    if plotsvgversion
        print(figurenumber,'-dsvg',filename);
    end
    if plotpngversion
        print(figurenumber,'-dpng',filename);
    end
end




