function plotimagedata(figurenumber,ResidualsBEC,Residualscolormap,filename,ResidualsBECBlur,ResidualsTicks,ResidualsScale,plotpdfversion,plotsvgversion,plotpngversion,ResidualsBECBoxLineX,ResidualsBECBoxLineY,RawOffset,ScaledOffset)

    if ResidualsBECBlur>0
        ResidualsBEC=blurdata(ResidualsBEC,ResidualsBECBlur);
    end
    if plotBECresiduals,
        figure(figurenumber);
        clf;
        set(figurenumber,'position',[FIGXOFFSET1 FIGYOFFSET1 FIGSIZEX1/2+100 FIGSIZEY1/2]);

        ResidualsBECRGB=ind2rgb(round(max(0,min((ResidualsBEC+ScaledOffset)*ResidualsScale+RawOffset,255))),Residualscolormap);
        image(ResidualsBECRGB);
        colormap(Residualscolormap);
        cb=colorbar('Ticks',((ResidualsTicks+ScaledOffset)*ResidualsScale+RawOffset)/255,'TickLabels',{num2str(ResidualsTicks(1)),num2str(ResidualsTicks(2))});
        cb.Label.String = 'Optical Density';
        axis image
        set(gca,'FontSize',20,'XTickLabelMode','manual','XTickLabel',[],'YTickLabelMode','manual','YTickLabel',[]);

        
        
            set(figurenumber,'PaperPositionMode','auto');
            if plotpdfversion,
                print(figurenumber,'-painters','-dpdf',[filename,'NoBox']);
            end
            if plotsvgversion,
                print(figurenumber,'-dsvg',[filename,'NoBox']);
            end
            if plotpngversion,
                print(figurenumber,'-dpng',[filename,'NoBox']);
            end
            line(ResidualsBECBoxLineX,ResidualsBECBoxLineY,'Marker','none','LineStyle',':','Color','k','LineWidth',2);
        
        
        set(figurenumber,'PaperPositionMode','auto');
        if plotpdfversion,
            print(figurenumber,'-painters','-dpdf',filename);
        end
        if plotsvgversion,
            print(figurenumber,'-dsvg',filename);
        end
        if plotpngversion,
            print(figurenumber,'-dpng',filename);
        end
    end
end




