function [map]=readcolormap(colormapfilename)

% try
    if isempty(colormapfilename),
        map=gray(256);
    elseif strcmp(colormapfilename,jet),
        map=jet(256);
    elseif exist(colormapfilename,'file'),
        map=zeros(256,3);
%         map(:,1)=0:255;
        fid=fopen(colormapfilename);
        
        numberoflines=fscanf(fid,'%u',1);
        other=fscanf(fid,'%u',1);
        oldindex=0;
        for line=1:numberoflines,
            newindex=fscanf(fid,'%u',1);
            newdata=fscanf(fid,'%u',3);
            map(newindex+1,1:3)=newdata(1:3);
            if newindex>oldindex+1
                newpos=(oldindex+1):(newindex+1);
                for ind=1:3
                    map(newpos,ind)=(newpos-newpos(1))*(map(newpos(end),ind)-map(newpos(1),ind))/(length(newpos)-1)+map(newpos(1),ind);
                end
            end
            oldindex=newindex;
        end
        fclose(fid);
        map=map/255;
    else
        map=jet(256);
    end
% catch
%     warning(['Error in colormap file, using default jet: ',colormapfilename]);
%     map=jet(256);
% end


end
