function [estimatedprofile]=estimateSSBECfitjacobian(Parameters,xx,yy,imdata,fittype)

global plotcounter


%% update the fit parameters
fittype.FullParameters(fittype.parameterstouse)=Parameters(1:end).*fittype.x0norm;
fittype.FullParameters(22)=fittype.FullParameters(9);           % x0(9)=Dimplex;
fittype.FullParameters(23)=fittype.FullParameters(10);          % x0(10)=Dimpley;
% if (fittype.FullParameters(19)<fittype.MINBECSIZE)
%     fittype.FullParameters(19)=0;
% end


%% construct the 2D fitted profile
estimatedprofile=constructSSBEC6(fittype.FullParameters,xx,yy);


%% display current fit results and residuals
plotcounter=plotcounter+1;
if round(plotcounter/fittype.showinterationplots)==(plotcounter/fittype.showinterationplots)
    
    % calculate the residuals between fitted and data profiles
    residual=imdata-estimatedprofile;
    if fittype.useaperture
        residual(fittype.aperturey(1):fittype.aperturey(2),fittype.aperturex(1):fittype.aperturex(2))=0;
    end

    % calculate the error (not used by the function)
    error1=sum(sum((residual).^2))/fittype.functionnorm;
    if isnan(error1)
        error=fittype.functionnorm*1000;
    else
        % if the parameters stray from the set bounds inflict a heavy error:
        error=error1+error1*100*sum((fittype.FullParameters(fittype.parameterstouse).'<fittype.limits(fittype.parameterstouse,1))|(fittype.FullParameters(fittype.parameterstouse).'>fittype.limits(fittype.parameterstouse,2)))*fittype.functionnorm;
    end
    if error~=error1,
        display(['Iteration ',num2str(plotcounter),' out of range: Low: ',num2str(find((fittype.FullParameters(fittype.parameterstouse).'<fittype.limits(fittype.parameterstouse,1))).'),' High: ',num2str(find(fittype.FullParameters(fittype.parameterstouse).'>fittype.limits(fittype.parameterstouse,2)).')]);
    end
    
    figure(386);
    subplot(3,1,2,'replace');
    imagesc(estimatedprofile,fittype.climits);
    title(['(Iteration ',num2str(plotcounter),') error value: ',num2str(error1)]);
    colorbar;
    colormap jet

    subplot(3,1,3,'replace');
    imagesc(residual);
    colorbar;
    colormap jet
    drawnow 
end


end