function [FullParameters,stdError,ChiSquare]=fitSSBECbackground3(oldimdata,SSBECfitparam,xx,yy,X,~,PCAcrop,x0)

global plotcounter 
global tof
global plotheader

imdata=oldimdata;

if nargin<8
    lsqoptions=optimset('Display','none');
    
    
    %% next let's estimate the fitting parameters for the transport guide
    
    transportXrange1=SSBECfitparam.transportXrange1-PCAcrop(2)+1;
    %transportXrange2=SSBECfitparam.transportXrange2-PCAcrop(2)+1;
    reservoirXrange1=SSBECfitparam.reservoirXrange1-PCAcrop(2)+1;
    reservoirXrange2=SSBECfitparam.reservoirXrange2-PCAcrop(2)+1;
    dimpleXrange=SSBECfitparam.dimpleXrange-PCAcrop(2)+1;
    
    %transportX=[xposdata(transportXrange1(1):transportXrange1(2)), xposdata(transportXrange2(1):transportXrange2(2))];
    %transportXData=[xprofile(transportXrange1(1):transportXrange1(2)), xprofile(transportXrange2(1):transportXrange2(2))];
    transportYData=sum(imdata(:,transportXrange1(1):transportXrange1(2)),2).'/(transportXrange1(2)-transportXrange1(1)+1);
    yposdata=((1:length(transportYData))+PCAcrop(1)-1)*SSBECfitparam.Ycal; %(in mm)
    transportY=yposdata;

    
    %% 1D gaussian fit the transport guide (Y direction)
    % x = [ampl posCenter width offset]
    transportYx0(1)=max(transportYData)-min(transportYData);
    auxSumAmpl = sum(transportYData);
    transportYx0(2)=sum(transportYData.*transportY) / auxSumAmpl;
    transportYx0(3)=sqrt(sum(transportYData.*(transportY- transportYx0(2)).^2) / auxSumAmpl);
    transportYx0(4)=min(transportYData);
    lb=[transportYx0(1)/2,min(transportY),transportYx0(3)/100,transportYx0(4)-(std(transportYData))];
    ub=[transportYx0(1)*2,max(transportY),transportYx0(3)*100,transportYx0(4)+(std(transportYData))];
    xfittedTransportY=lsqcurvefit(@gaussian,transportYx0,transportY,transportYData,lb,ub,lsqoptions);
    
    
    %% 1D gaussian fit the transport (X direction)
%     imdata=imdata-xfittedTransportY(4);
%     transportXx0(1)=max(transportXData)-min(transportXData);
%     [~,maxloc]=max(transportXData);
%     transportXx0(2)=transportX(maxloc);
%     transportXx0(3)=sum(transportXData-min(transportXData))/transportXx0(1)/2*(max(transportXData)-min(transportXData))/length(transportXData);
%     transportXx0(4)=min(transportXData);
%     lb=[transportXx0(1)/2,min(transportX),transportXx0(3)/100,transportXx0(4)-(std(transportXData))];
%     ub=[transportXx0(1)*2,max(transportX),transportXx0(3)*100,transportXx0(4)+(std(transportXData))];
%     % display('fitting...');
%     xfittedTransportX=lsqcurvefit(@gaussian,transportXx0,transportX,transportXData,lb,ub);
%     
%     % remove 2D transport fit first section
% 
%     beamNx=xfittedTransportX(1);
%     beamX=xfittedTransportX(2);
%     beamWx=xfittedTransportX(3);
% 
%     beam2D=(beamNx*exp(-((xx-beamX)/beamWx).^2)).*...
%         (beamNy*exp(-((yy-beamY)/beamWy).^2));
% 
%     transport2Dsubsection=beam2D(:,transportXrange1(1):transportXrange1(2));
%     transport2Ddatasubsection=imdata(:,transportXrange1(1):transportXrange1(2));
%     
%     % lets fit the amplitude and background in 2D
% 
%     x0a(1)=1;
%     x0a(2)=0;
% 
%     % display('fitting...');
%     x0a=fminsearch(@(x) modefit(x,transport2Dsubsection,transport2Ddatasubsection),x0a);
% 
%     beamN=x0a(1);
%     Background=x0a(2);
% 
%     imdata=imdata-Background;
%     beam2D=beam2D*beamN;
%     imdata=imdata-beam2D;


    %% next let's estimate the fitting parameters for the thermal reservoir and dimple
    xprofile=sum(imdata,1);
    xposdata=((1:length(xprofile))+PCAcrop(2)-1)*SSBECfitparam.Xcal;
    reservoirX=[xposdata(reservoirXrange1(1):reservoirXrange1(2)), xposdata(reservoirXrange2(1):reservoirXrange2(2))];
    reservoirXData=[xprofile(reservoirXrange1(1):reservoirXrange1(2)), xprofile(reservoirXrange2(1):reservoirXrange2(2))];
    % dimpleX=[xposdata(dimpleXrange(1):dimpleXrange(2))];
    % dimpleXData=[xprofile(dimpleXrange(1):dimpleXrange(2))];
    dimpleYData=sum(imdata(:,dimpleXrange(1):dimpleXrange(2)),2).'/(dimpleXrange(2)-dimpleXrange(1)+1);
    reservoirYData=sum(imdata(:,reservoirXrange2(1):reservoirXrange2(2)),2).'/(reservoirXrange2(2)-reservoirXrange2(1)+1);
    dimpleY=yposdata;
    reservoirY=yposdata;


    %% 1D gaussian fit the reservoir (X direction)
    reservoirXx0(1)=max(reservoirXData)-min(reservoirXData);
    auxSumAmpl = sum(reservoirXData);
    reservoirXx0(2)=sum(reservoirXData.*reservoirX) / auxSumAmpl;
    reservoirXx0(3)=sqrt(sum(reservoirXData.*(reservoirX- reservoirXx0(2)).^2) / auxSumAmpl);
    reservoirXx0(4)=min(reservoirXData);
    lb=[reservoirXx0(1)/2,min(reservoirX),reservoirXx0(3)/10,reservoirXx0(4)-(std(reservoirXData))];
    ub=[reservoirXx0(1)*2,max(reservoirX),reservoirXx0(3)*10,reservoirXx0(4)+(std(reservoirXData))];
    xfittedReservoir=lsqcurvefit(@gaussian,reservoirXx0,reservoirX,reservoirXData,lb,ub,lsqoptions);
    

    %% 1D gaussian fit the reservoir (Y direction)
    reservoirYx0(1)=max(reservoirYData)-min(reservoirYData);
    auxSumAmpl = sum(reservoirYData);
    reservoirYx0(2)=sum(reservoirYData.*reservoirY) / auxSumAmpl;
    reservoirYx0(3)=sqrt(sum(reservoirYData.*(reservoirY- reservoirYx0(2)).^2) / auxSumAmpl);
    reservoirYx0(4)=min(reservoirYData);
    lb=[reservoirYx0(1)/2,min(reservoirY),reservoirYx0(3)/100,reservoirYx0(4)-(std(reservoirYData))];
    ub=[reservoirYx0(1)*2,max(reservoirY),reservoirYx0(3)*100,reservoirYx0(4)+(std(reservoirYData))];
    xfittedReservoirY=lsqcurvefit(@gaussian,reservoirYx0,reservoirY,reservoirYData,lb,ub,lsqoptions);
    
    
    %% 1D gaussian fit the dimple (Y direction)
    dimpleYx0(1)=max(dimpleYData)-min(dimpleYData);
    auxSumAmpl = sum(dimpleYData);
    dimpleYx0(2)=sum(dimpleYData.*dimpleY) / auxSumAmpl;
    dimpleYx0(3)=sqrt(sum(dimpleYData.*(dimpleY- dimpleYx0(2)).^2) / auxSumAmpl);
    dimpleYx0(4)=min(dimpleYData);
    lb=[dimpleYx0(1)/2,min(dimpleY),dimpleYx0(3)/100,dimpleYx0(4)-(std(dimpleYData))];
    ub=[dimpleYx0(1)*2,max(dimpleY),dimpleYx0(3)*100,dimpleYx0(4)+(std(dimpleYData))];
    xfittedDimpleY=lsqcurvefit(@gaussian,dimpleYx0,dimpleY,dimpleYData,lb,ub,lsqoptions);

    
    %% easy estimation of the dimple position (X direction)
    [Dimpleampl,DimpleXpos]=max(max(imdata,[],1));
    
    
    %% Plotting fit results if desired
    if SSBECfitparam.plotseedingfits
        yfitdataTransportY=gaussian(xfittedTransportY,transportY);
        xfitdataTransportY=transportY;
        display(['Beam Y: ',num2str(xfittedTransportY(1)),'*exp(-((x-',num2str(xfittedTransportY(2)),')/',num2str(xfittedTransportY(3)),')^2)+',num2str(xfittedTransportY(4))]);
        figure(801);
        plot(transportY,transportYData,'k.',xfitdataTransportY,yfitdataTransportY,'r');
        title('Beam Y fitting');
        
%         yfitdataTransport=gaussian(xfittedTransportX,transportX);
%         xfitdataTransport=transportX;
%         display(['Beam X: ',num2str(xfittedTransportX(1)),'*exp(-((x-',num2str(xfittedTransportX(2)),')/',num2str(xfittedTransportX(3)),')^2)+',num2str(xfittedTransportX(4))]);
%         figure(802);
%         plot(transportX,transportXData,'g.',xfitdataTransport,yfitdataTransport,'g.');
%         title('Beam X fitting');
        
        yfitdataReservoir=gaussian(xfittedReservoir,reservoirX);%+gaussian(xfittedTransport,reservoirX);
        xfitdataReservoir=reservoirX;
        display(['Reservoir X: ',num2str(xfittedReservoir(1)),'*exp(-((x-',num2str(xfittedReservoir(2)),')/',num2str(xfittedReservoir(3)),')^2)+',num2str(xfittedReservoir(4))]);
        figure(803);
        plot(reservoirX,reservoirXData,'b.',xfitdataReservoir,yfitdataReservoir,'b.');
%         plot(reservoirX,reservoirXData,'b.',dimpleX,dimpleXData,'r.',xfitdataReservoir,yfitdataReservoir,'b.');
        title('Reservoir X fitting');
%         plot(transportX,transportXData,'g.',reservoirX,reservoirXData,'b.',dimpleX,dimpleXData,'r.',xfitdataTransport,yfitdataTransport,'g.',xfitdataReservoir,yfitdataReservoir,'b.');
%         legendentry=[num2str(xfitted(1),'%0.3e'),'*exp(-((x-',num2str(xfitted(2),'%0.3e'),')/',num2str(xfitted(3),'%0.3e'),')^2)+',num2str(xfitted(4),'%0.3e')];

        yfitdataReservoirY=gaussian(xfittedReservoirY,reservoirY);
        xfitdataReservoirY=reservoirY;
        display(['Reservoir Y: ',num2str(xfittedReservoirY(1)),'*exp(-((x-',num2str(xfittedReservoirY(2)),')/',num2str(xfittedReservoirY(3)),')^2)+',num2str(xfittedReservoirY(4))]);
        figure(804);
        plot(reservoirY,reservoirYData,'k.',xfitdataReservoirY,yfitdataReservoirY,'r');
        title('Reservoir Y fitting');

        yfitdataDimpleY=gaussian(xfittedDimpleY,dimpleY);
        xfitdataDimpleY=reservoirY;
        display(['Dimple Y: ',num2str(xfittedDimpleY(1)),'*exp(-((x-',num2str(xfittedDimpleY(2)),')/',num2str(xfittedDimpleY(3)),')^2)+',num2str(xfittedDimpleY(4))]);
        figure(805);
        plot(dimpleY,dimpleYData,'k.',xfitdataDimpleY,yfitdataDimpleY,'r');
        title('Dimple Y fitting');
    end


    %% construct a 2D model for the Crossover+Reservoir+Dimple+BEC and fit the free parameters

    x0(1)=xfittedDimpleY(1);                     % x0(1) =DimpleN;
    x0(2)=xfittedDimpleY(3);                     % x0(2) =DimpleWy;
    x0(3)=xfittedReservoirY(1)/2;                % x0(3) =ReservoirN; % xfittedReservoirY(1)/2;
    x0(4)=xfittedReservoirY(3);                  % x0(4) =ReservoirWy;
    x0(5)=xfittedReservoir(3)*2;                 % x0(5) =ReservoirWx;
    x0(6)=xfittedReservoirY(1)/4;                % x0(6) =CrossoverN; % xfittedReservoirY(1); 
    x0(7)=xfittedReservoirY(3);                  % x0(7) =CrossoverWy;
    x0(8)=xfittedReservoir(3);                   % x0(8) =CrossoverWx;
    x0(9)=X(DimpleXpos);                         % x0(9) =Dimplex;
    x0(10)=xfittedDimpleY(2);                    % x0(10)=Dimpley;
    x0(11)=xfittedReservoir(2);                  % x0(11)=Crossoverx;
    x0(12)=(xfittedReservoir(2)+x0(9))/2;        % x0(12)=Reservoirx;
%   x0(13)=beamNx*beamNy*beamN;                  % x0(13)=Transport Beam Amplitude;
    x0(13)=xfittedTransportY(1);                 % x0(13)=Transport Beam Amplitude;
%   x0(14)=beamX;                                % x0(14)=Transport Beam x0;
%   x0(15)=beamWx;                               % x0(15)=Transport Beam Wx;
    x0(14)=x0(11)*1.3;                           % x0(14)=Transport Beam x0;
    x0(15)=x0(8);                                % x0(15)=Transport Beam Wx;
    x0(16)=xfittedTransportY(2);                 % x0(16)=Transport Beam y0;
    x0(17)=xfittedTransportY(3);                 % x0(17)=Transport Beam Wy;
%   x0(18)=Background;                           % x0(18)=Background;
    x0(18)=0.1;                                  % x0(18)=Background;
    x0(19)=1.5e4;                                % x0(19)=BECN;
    x0(20)=2*pi*310*2;                           % x0(20)=BECWx;
    x0(21)=2*pi*550*2;                           % x0(21)=BECWy;
    x0(22)=x0(9);                                % x0(22)=BECX  %Dimplex;
    x0(23)=x0(10);                               % x0(10)=BECY  %Dimpley;
%   x0
    
end


%% if the parameters stray outside these limits inflict a heavy error to force it back

fittype.limits(1,1:2)=[0.001 200];                                  % Parameters(1)=DimpleN;
fittype.limits(2,1:2)=[0.1 0.5];                                    % Parameters(2)=DimpleWy;
fittype.limits(3,1:2)=[0.001 200];                                  % Parameters(3)=ReservoirN;
fittype.limits(4,1:2)=[0.1 0.5];                                    % Parameters(4)=ReservoirWy;
fittype.limits(5,1:2)=[0.1 2];                                      % Parameters(5)=ReservoirWx;
fittype.limits(6,1:2)=[0.001 200];                                  % Parameters(6)=CrossoverN;
fittype.limits(7,1:2)=[0.1 0.5];                                    % Parameters(7)=CrossoverWy;
fittype.limits(8,1:2)=[0.1 1];                                      % Parameters(8)=CrossoverWx;
fittype.limits(9,1:2)=SSBECfitparam.aperturex*SSBECfitparam.Xcal;   % Parameters(9)=Dimplex;
fittype.limits(10,1:2)=SSBECfitparam.aperturey*SSBECfitparam.Ycal;  % Parameters(10)=Dimpley;
fittype.limits(11,1:2)=[SSBECfitparam.reservoirXrange1(1) SSBECfitparam.reservoirXrange2(2)]*SSBECfitparam.Xcal;      % Parameters(11)=Crossoverx;
fittype.limits(12,1:2)=[SSBECfitparam.reservoirXrange1(1) SSBECfitparam.reservoirXrange2(2)]*SSBECfitparam.Xcal;      % Parameters(12)=Reservoirx;
fittype.limits(13,1:2)=[0.001 50];                                  % Parameters(13)=transportN;
%fittype.limits(14,1:2)=[SSBECfitparam.reservoirXrange1(1) SSBECfitparam.transportXrange2(2)]*SSBECfitparam.Xcal;      % Parameters(14)=transportX;
fittype.limits(14,1:2)=[3.3 5];                                     % Parameters(14)=transportX;
fittype.limits(15,1:2)=[0.01 10];                                   % Parameters(15)=transportWx;
fittype.limits(16,1:2)=SSBECfitparam.aperturey*SSBECfitparam.Ycal;  % Parameters(16)=transportY;
fittype.limits(17,1:2)=[0.1 0.5];                                   % Parameters(17)=transportWy;
fittype.limits(18,1:2)=[-1 1];                                      % Parameters(18)=Background;
fittype.limits(19,1:2)=[-1e1 1e5];                                  % Parameters(19)=BECN;
fittype.limits(20,1:2)=[2*pi*150 2*pi*500];                        % Parameters(20)=BECwx;
fittype.limits(21,1:2)=[2*pi*300 2*pi*800];                        % Parameters(21)=BECwy;
fittype.limits(22,1:2)=SSBECfitparam.aperturex*SSBECfitparam.Xcal;  % Parameters(22)=BECX;
fittype.limits(23,1:2)=SSBECfitparam.aperturey*SSBECfitparam.Ycal;  % Parameters(23)=BECY;


%% do a first fit for the thermal cloud based on the apertured data

% Prepare the initial fit parameters
tof = SSBECfitparam.tof;
fittype.useaperture=1;
fittype.aperturey=SSBECfitparam.aperturey-PCAcrop(1)+1;
fittype.aperturex=SSBECfitparam.aperturex-PCAcrop(2)+1;
fittype.parameterstouse=1:18;
fittype.FullParameters=zeros(size(x0));
fittype.functionnorm=sum(sum(imdata));
fittype.showinterationplots=SSBECfitparam.showinterationplots;
fittype.MINBECSIZE=SSBECfitparam.MINBECSIZE;
fittype.x0norm=x0(fittype.parameterstouse);
Parameters=x0(fittype.parameterstouse)./fittype.x0norm;

plotcounter=0;
if fittype.showinterationplots~=0;
    figure(386);
    subplot(3,1,1,'replace');
    imagesc(oldimdata);
    fittype.climits=get(gca,'cLim');
    title(plotheader);
    colorbar;
    colormap jet
end

% Make the fit
if (SSBECfitparam.fitType==0)
    % Make the fit - version with fminsearch
    options=optimset('Display','notify','TolX',SSBECfitparam.fittolerance,'TolFun',10,'MaxFunEvals',3000,'MaxIter',3000);
    Parameters=fminsearch(@(x) estimateSSBECfiterror3(x,xx,yy,oldimdata,fittype),Parameters,options);
else
    % Make the fit - version with lsqcurvefit
    lb = fittype.limits(1:18,1)'./fittype.x0norm;
    ub = fittype.limits(1:18,2)'./fittype.x0norm;
    lsqoptions = optimoptions(@lsqcurvefit,'Display','iter','TolFun',1e-15,'TolX',1e-15,'MaxFunEvals',SSBECfitparam.maxiterations,'MaxIter',SSBECfitparam.maxiterations);
    %lsqoptions = optimset('Display','iter','UseParallel',true,'TolFun',1e-15,'TolX',1e-15,'MaxFunEvals',SSBECfitparam.maxiterations,'MaxIter',SSBECfitparam.maxiterations);
    Parameters=lsqcurvefit(@(x,xx) estimateSSBECfitjacobian(x,xx,yy,oldimdata,fittype),Parameters,xx,oldimdata,lb,ub,lsqoptions);
end
Parameters =  Parameters.*fittype.x0norm;


%% calculate the residuals and estimate the BEC atom number

% make image with thermal fraction removed
fittype.FullParameters(fittype.parameterstouse)=Parameters(1:end);
[estimatedprofile]=constructSSBEC6(fittype.FullParameters,xx,yy);
residual=imdata-estimatedprofile; 

% calculate Chi-square
NbPixPerBin = 3;
ChiSquareThApertured=calculateChiSquare(oldimdata,estimatedprofile,length(Parameters),NbPixPerBin,NbPixPerBin,true);

% estimate fit parameters for BEC 
fittype.FullParameters(19)=sum(sum(residual(fittype.aperturey(1):fittype.aperturey(2),fittype.aperturex(1):fittype.aperturex(2)))); % estimate the BEC atom number BECN
fittype.FullParameters(20:21)=x0(20:21);    % x0(20:21)=(BECWx:BECWy)
fittype.FullParameters(22)=x0(9);           % x0(9)=Dimplex;
fittype.FullParameters(23)=x0(10);          % x0(10)=Dimpley;

% Prepare the initial fit parameters
fittype.useaperture=0;
plotcounter=0;
fittype.parameterstouse=1:21;
fittype.x0norm=fittype.FullParameters(fittype.parameterstouse);
Parameters=fittype.FullParameters(fittype.parameterstouse)./fittype.x0norm;

if fittype.showinterationplots~=0;
    figure(386);
    subplot(3,1,1,'replace');
    imagesc(oldimdata);
    fittype.climits=get(gca,'cLim');
    title(plotheader);
    colorbar;
    colormap jet
end


%% Fit both thermal and BEC

if (SSBECfitparam.fitType==0)
    % Make the fit - version with fminsearch
    options=optimset('Display','notify','TolX',SSBECfitparam.fittolerance,'TolFun',10,'MaxFunEvals',SSBECfitparam.maxiterations,'MaxIter',SSBECfitparam.maxiterations);
    Parameters=fminsearch(@(x) estimateSSBECfiterror3(x,xx,yy,oldimdata,fittype),Parameters,options);
    ParametersNormed = Parameters;
    lb = ParametersNormed*0.9999995;
    ub = ParametersNormed*1.0000005;
    if ub(18)<0
        aux = lb(18);
        lb(18) = ub(18);
        ub(18) = aux;
    end
    lsqoptions = optimoptions(@lsqcurvefit,'TolFun',10,'TolX',SSBECfitparam.fittolerance); % fake fit to get out the jacobian and stdError
    [~,resnorm,~,~,~,~,jacobian]=lsqcurvefit(@(x,xx) estimateSSBECfitjacobian(x,xx,yy,oldimdata,fittype),ParametersNormed,xx,oldimdata,lb,ub,lsqoptions);
else
    % Make the fit - version with lsqcurvefit
    lb = fittype.limits(1:21,1)'./fittype.x0norm;
    ub = fittype.limits(1:21,2)'./fittype.x0norm;
    if ub(18)<0
        aux = lb(18);
        lb(18) = ub(18);
        ub(18) = aux;
    end
    lsqoptions = optimoptions(@lsqcurvefit,'Display','iter','TolFun',1e-15,'TolX',1e-15,'MaxFunEvals',SSBECfitparam.maxiterations,'MaxIter',SSBECfitparam.maxiterations);
    [Parameters,resnorm,~,~,~,~,jacobian]=lsqcurvefit(@(x,xx) estimateSSBECfitjacobian(x,xx,yy,oldimdata,fittype),Parameters,xx,oldimdata,lb,ub,lsqoptions);
    ParametersNormed = Parameters;
end
Parameters =  Parameters.*fittype.x0norm;


% calculate std for each parameter
NbCoef = length(ParametersNormed);
[Sizex, Sizey] = size(oldimdata);
NbObs = Sizex * Sizey;
MSE = resnorm / (NbObs - NbCoef);
covB =inv(jacobian'*jacobian)*MSE;
stdError = sqrt(diag(covB))';
stdError = stdError.*fittype.x0norm; 
stdError = spdiags(diag(stdError))';


FullParameters(fittype.parameterstouse)=Parameters(1:end);
FullParameters(22)=FullParameters(9);           % x0(9)=Dimplex;
FullParameters(23)=FullParameters(10);          % x0(10)=Dimpley;
stdError(22) = stdError(9);
stdError(23) = stdError(10);
if (FullParameters(19)<fittype.MINBECSIZE)
    FullParameters(19)=0;
    stdError(19) = 0;
end


% check that the fit does not hit next to the constraints
[closetoUb,closetoUbInd] = min((fittype.limits(:,2) - FullParameters')./(abs(fittype.limits(:,2))));
[closetoLb,closetoLbInd] = min((FullParameters' - fittype.limits(:,1))./(abs(fittype.limits(:,1))));
if (closetoUb *100 < 0.5)
    display(['Parameter nb ',num2str(closetoUbInd),' is too close to the upper constraint, by ',num2str(closetoUb*100),' %']);
end
if (closetoLb *100 < 0.5)
    display(['Parameter nb ',num2str(closetoLbInd),' is too close to the lower constraint, by ',num2str(closetoLb*100),' %']);
end

% calculate chi-square
estimatedprofileresult = constructSSBEC6(FullParameters,xx,yy);
ChiSquareThPlusBEC=calculateChiSquare(oldimdata,estimatedprofileresult,length(ParametersNormed),NbPixPerBin,NbPixPerBin,true);
ChiSquare = [ChiSquareThApertured, ChiSquareThPlusBEC];


% display residuals
if SSBECfitparam.showaperture
    apertured=imdata-estimatedprofileresult;
    apertured(fittype.aperturey(1):fittype.aperturey(2),fittype.aperturex(1):fittype.aperturex(2))=0;
    
    figure(387);
    imagesc(apertured);
    colorbar;
    colormap jet
end


end


%% Define fitting 1D function
function [yfit]=gaussian(x,xdata)

yfit=x(1)*exp(-((xdata-x(2))/x(3)).^2)+x(4);

end

