function plotSSBECfittingResults(directory,seriesnumber,plotparam,Fullmatrix,Fulldata,imagenums,xdatagood,x0series)


global mSr tof auOverkB


if seriesnumber>0,
    if ~exist([directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname],'dir')
        mkdir([directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname]);
    end
else
    if ~exist([directory,'\Results',plotparam.resultsname],'dir')
        mkdir([directory,'\Results',plotparam.resultsname]);
    end
end


[datamap]=readcolormap(plotparam.datacolormapfilename);
[fitmap]=readcolormap(plotparam.fitcolormapfilename);
[thermalmap]=readcolormap(plotparam.thermalcolormapfilename);
[residualmap]=readcolormap(plotparam.residualcolormapfilename);

imdata=double(Fulldata(plotparam.Plotcrop(1):(plotparam.Plotcrop(1)+plotparam.Plotcrop(3)-1),plotparam.Plotcrop(2):(plotparam.Plotcrop(2)+plotparam.Plotcrop(4)-1)));

X=((1:size(imdata,2))+plotparam.Plotcrop(2)-1)*plotparam.SSBECfitparam.Xcal;
Y=((1:size(imdata,1))+plotparam.Plotcrop(1)-1)*plotparam.SSBECfitparam.Ycal;

[xx,yy]=meshgrid(X,Y);

residualrange=[max(1,plotparam.SSBECfitparam.aperturey(1)-plotparam.SSBECfitparam.border-plotparam.Plotcrop(1)+1),...
    min(size(imdata,1),plotparam.SSBECfitparam.aperturey(2)+plotparam.SSBECfitparam.border-plotparam.Plotcrop(1)+1),...
    max(1,plotparam.SSBECfitparam.aperturex(1)-plotparam.SSBECfitparam.border-plotparam.Plotcrop(2)+1),...
    min(size(imdata,2),plotparam.SSBECfitparam.aperturex(2)+plotparam.SSBECfitparam.border-plotparam.Plotcrop(2)+1)];

residual=imdata(residualrange(1):residualrange(2),residualrange(3):residualrange(4));
residuals=zeros(size(Fullmatrix,1),numel(residual));

for framenumber=1:size(Fullmatrix,1)
    Fulldata=reshape(Fullmatrix(framenumber,:),size(Fulldata));
    imdata=double(Fulldata(plotparam.Plotcrop(1):(plotparam.Plotcrop(1)+plotparam.Plotcrop(3)-1),plotparam.Plotcrop(2):(plotparam.Plotcrop(2)+plotparam.Plotcrop(4)-1)));
    estimatedprofile=constructSSBEC6(squeeze(x0series(framenumber,:)),xx,yy);

    residual=imdata(residualrange(1):residualrange(2),residualrange(3):residualrange(4))-estimatedprofile(residualrange(1):residualrange(2),residualrange(3):residualrange(4));
    
    residuals(framenumber,:)=reshape(residual,[1,numel(residual)]);
end

residualsmin=min(min(residuals));
residualsmax=max(max(residuals));

% aperture=zeros(size(residual));
% aperture(40:(end-40),40:(end-40))=1;
% residualsum=sum(residuals.*repmat(reshape(aperture,[1,numel(aperture)]),[size(residuals,1),1]),2);

[sortedxdata,indexlist]=sort(xdatagood);


%% construct avis and gifs of the residuals PCA this time sorted by time and grouped so that the frames are correctly ordered
fitsummaryavifilename='fitsummary';
fitsummaryfig=300;
figure(fitsummaryfig);
if seriesnumber>0,
    aviname=[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\',fitsummaryavifilename];
    crosssectionname=[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\Crosssections'];
else
    aviname=[directory,'\Results',plotparam.resultsname,'\',fitsummaryavifilename];
    crosssectionname=[directory,'\Crosssections'];
end
avifig=figure('Position',[200 50 600 500]);
Framerate=5;
writerObj2 = VideoWriter([aviname,'.avi']);
writerObj2.FrameRate = Framerate;
open(writerObj2);

fitsummaryavifilename='crosssectionsummary';
fitsummaryfig2=350;
figure(fitsummaryfig2);
if seriesnumber>0,
    aviname2=[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\',fitsummaryavifilename];
else
    aviname2=[directory,'\Results',plotparam.resultsname,'\',fitsummaryavifilename];
end
avifig2=figure('Position',[200 50 600 500]);
Framerate=5;
writerObj3 = VideoWriter([aviname2,'.avi']);
writerObj3.FrameRate = Framerate;
open(writerObj3);

fitsummaryavifilename='projectionsummary';
fitsummaryfig3=351;
figure(fitsummaryfig3);
if seriesnumber>0,
    aviname3=[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\',fitsummaryavifilename];
else
    aviname3=[directory,'\Results',plotparam.resultsname,'\',fitsummaryavifilename];
end
avifig3=figure('Position',[200 50 600 500]);
Framerate=5;
writerObj4 = VideoWriter([aviname3,'.avi']);
writerObj4.FrameRate = Framerate;
open(writerObj4);

Residualsavifilename='Residuals';
fitsummaryfig4=352;
figure(fitsummaryfig4);
if seriesnumber>0,
    aviname4=[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\',Residualsavifilename];
else
    aviname4=[directory,'\Results',plotparam.resultsname,'\',Residualsavifilename];
end
avifig4=figure('Position',[200 50 600 500]);
Framerate=5;
writerObj5 = VideoWriter([aviname4,'.avi']);
writerObj5.FrameRate = Framerate;
open(writerObj5);


for framenumber=2:size(Fullmatrix,1)
    Fulldata=reshape(Fullmatrix(indexlist(framenumber-1)+1,:),size(Fulldata));
    imdata=double(Fulldata(plotparam.Plotcrop(1):(plotparam.Plotcrop(1)+plotparam.Plotcrop(3)-1),plotparam.Plotcrop(2):(plotparam.Plotcrop(2)+plotparam.Plotcrop(4)-1)));
%                         x0series(imagenum,:)=x0(1:end);

    [estimatedprofile,dimplefit,reservoirfit,crossoverfit,transportfit,BECfit]=constructSSBEC6(squeeze(x0series(indexlist(framenumber-1)+1,:)),xx,yy);
%     residual=imdata(residualrange(1):residualrange(2),residualrange(3):residualrange(4));

    figure(fitsummaryfig);
    set(fitsummaryfig,'Position',[50 50 900 950]);
    subplot(4,1,1,'replace');
    imagesc(imdata,[0 110]);
%                     imagesc(imdata);
%                     climits=get(gca,'cLim');
    axis equal
    axis tight
    colorbar;
    title(['Data at time ',num2str(sortedxdata(framenumber-1)/1000),'s (',directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f'),')']);
    colormap jet

    subplot(4,1,2,'replace');
    imagesc(estimatedprofile,[0 110]);
%                     imagesc(estimatedprofile,climits);
    axis equal
    axis tight
    colorbar;
    title(['Fit at time ',num2str(sortedxdata(framenumber-1)/1000),'s (',directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f'),')']);
    colormap jet

    subplot(4,1,3,'replace');
    imagesc(estimatedprofile-BECfit,[0 110]);
%                     imagesc(estimatedprofile,climits);
    axis equal
    axis tight
    colorbar;
    title(['Thermal Fit at time ',num2str(sortedxdata(framenumber-1)/1000),'s (',directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f'),')']);
    colormap jet

    subplot(4,1,4,'replace');
    imagesc(imdata-estimatedprofile,[-5 20]);
    axis equal
    axis tight
    colorbar;
    colormap jet
    title(['Residuals at time ',num2str(sortedxdata(framenumber-1)/1000),'s (',directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f'),')']);

%                         figure(302);
%                         imagesc(residual);
%                         colorbar;
%                         title(['S',num2str(seriesnumber),' P',num2str(imagenum-1,'%04.0f')]);
% %                         axis equal
%                         colormap jet

%                     drawnow
%                     pause(0.1);

    Dimpley=round(x0series(indexlist(framenumber-1)+1,10)/plotparam.SSBECfitparam.Ycal); % Parameters(10)=Dimpley;
    if (Dimpley<(plotparam.CrosssectionHalfWidth+1))||(Dimpley>(size(imdata,1)-plotparam.CrosssectionHalfWidth))
        Dimpley=round(size(imdata,1)/2);
    end

    datacrosssection=sum(imdata((Dimpley-plotparam.CrosssectionHalfWidth):(Dimpley+plotparam.CrosssectionHalfWidth),:),1);
    thermalcrosssection=sum(dimplefit((Dimpley-plotparam.CrosssectionHalfWidth):(Dimpley+plotparam.CrosssectionHalfWidth),:)+...
        reservoirfit((Dimpley-plotparam.CrosssectionHalfWidth):(Dimpley+plotparam.CrosssectionHalfWidth),:)+...
        crossoverfit((Dimpley-plotparam.CrosssectionHalfWidth):(Dimpley+plotparam.CrosssectionHalfWidth),:)+...
        transportfit((Dimpley-plotparam.CrosssectionHalfWidth):(Dimpley+plotparam.CrosssectionHalfWidth),:),1);
    dimplecrosssection=sum(dimplefit((Dimpley-plotparam.CrosssectionHalfWidth):(Dimpley+plotparam.CrosssectionHalfWidth),:),1);
    reservoircrosssection=sum(reservoirfit((Dimpley-plotparam.CrosssectionHalfWidth):(Dimpley+plotparam.CrosssectionHalfWidth),:),1);
    crossovercrosssection=sum(crossoverfit((Dimpley-plotparam.CrosssectionHalfWidth):(Dimpley+plotparam.CrosssectionHalfWidth),:),1);
    transportcrosssection=sum(transportfit((Dimpley-plotparam.CrosssectionHalfWidth):(Dimpley+plotparam.CrosssectionHalfWidth),:),1);
    BECcrosssection=sum(BECfit((Dimpley-plotparam.CrosssectionHalfWidth):(Dimpley+plotparam.CrosssectionHalfWidth),:),1);

    dataprojection=sum(imdata,1);
    thermalprojection=sum(dimplefit+reservoirfit+crossoverfit+transportfit,1);
    dimpleprojection=sum(dimplefit,1);
    reservoirprojection=sum(reservoirfit,1);
    crossoverprojection=sum(crossoverfit,1);
    transportprojection=sum(transportfit,1);
    BECprojection=sum(BECfit,1);

    
    %% plot projections
    figure(fitsummaryfig3);
    set(fitsummaryfig3,'Position',[50 50 900 450]);
%                     subplot(2,1,1,'replace');
%                     plot(X,datacrosssection,'k.',X,thermalcrosssection,'r');
%                     plot(1:length(dataprojection),dataprojection,'k.',1:length(dataprojection),transportprojection,'g',1:length(dataprojection),thermalprojection+BECprojection,'b',1:length(dataprojection),thermalprojection,'r');
    plot(X,dataprojection,'k.',X,transportprojection,'g',X,thermalprojection+BECprojection,'b',X,thermalprojection,'r');
    title(['Projections at time ',num2str(sortedxdata(framenumber-1)/1000),'s (',directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f'),')']);
    ylabel('Atoms projection');
    xlabel('Position after 18ms TOF [mm]');

%                     subplot(2,1,2,'replace');
% %                     plot(X,dimplecrosssection,'k',X,reservoircrosssection,'r',X,crossovercrosssection,'b',X,transportcrosssection,'g');
%                     plot(1:length(dataprojection),dimpleprojection,'k',1:length(dataprojection),transportprojection,'g',1:length(dataprojection),reservoirprojection+crossoverprojection+BECprojection+transportprojection,'b',1:length(dataprojection),reservoirprojection+crossoverprojection+transportprojection,'r');
%                     title('Projections: Dimple (k), Reservoir+Crossover+BEC (b), Reservoir+Crossover (r), Beam (g)');


    %% plot crosssections
    figure(fitsummaryfig2);
    set(fitsummaryfig2,'Position',[50 50 900 450]);
%                     subplot(2,1,1,'replace');
%                     plot(X,datacrosssection,'k.',X,thermalcrosssection,'r');
%                     plot(1:length(datacrosssection),datacrosssection,'k.',1:length(datacrosssection),transportcrosssection,'g',1:length(datacrosssection),BECcrosssection+thermalcrosssection,'b',1:length(datacrosssection),thermalcrosssection,'r');
    plot(X,datacrosssection,'k.',X,transportcrosssection,'g',X,BECcrosssection+thermalcrosssection,'b',X,thermalcrosssection,'r');
    title(['Cross sections at time ',num2str(sortedxdata(framenumber-1)/1000),'s (',directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f'),')']);
    ylabel('Atoms cross section');
    xlabel('Position after 18ms TOF [mm]');

%                     subplot(2,1,2,'replace');
% %                     plot(X,dimplecrosssection,'k',X,reservoircrosssection,'r',X,crossovercrosssection,'b',X,transportcrosssection,'g');
%                     plot(1:length(datacrosssection),dimplecrosssection,'k',1:length(datacrosssection),transportcrosssection,'g',1:length(datacrosssection),reservoircrosssection+crossovercrosssection+BECcrosssection+transportcrosssection,'b',1:length(datacrosssection),reservoircrosssection+crossovercrosssection+transportcrosssection,'r');
%                     title('Cross sections: Dimple (k), Reservoir+Crossover+BEC+Beam (b), Reservoir+Crossover+Beam (r), Beam (g)');

%                     drawnow
%                     pause(0.1);

%                     imagesc(reshape(residuals(indexlist(framenumber-1)+1,:),size(residual)),[residualsmin residualsmax]);
%                     colormap jet;
%                     colorbar;
%                     title(['Time ',num2str(sortedxdata(framenumber-1)),'ms (',directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(indexlist(framenumber-1)+1,'%04.0f'),')'])

    figure(fitsummaryfig4);
    set(fitsummaryfig4,'Position',[50 50 900 450]);
    imagesc(reshape(residuals(indexlist(framenumber-1)+1,:),size(residual)),[residualsmin residualsmax]);
    colormap jet;
    colorbar;
    title(['Time ',num2str(sortedxdata(framenumber-1)/1000),'s (',directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f'),')'])


    frame = getframe(fitsummaryfig);
    writeVideo(writerObj2,frame);
    im = frame2im(frame); 
    [imind,cm] = rgb2ind(im,256); 

    frame3 = getframe(fitsummaryfig3);
    writeVideo(writerObj4,frame3);
    im3 = frame2im(frame3); 
    [imind3,cm3] = rgb2ind(im3,256); 

    frame2 = getframe(fitsummaryfig2);
    writeVideo(writerObj3,frame2);
    im2 = frame2im(frame2); 
    [imind2,cm2] = rgb2ind(im2,256); 

    frame4 = getframe(fitsummaryfig4);
    writeVideo(writerObj5,frame4);
    im4 = frame2im(frame4); 
    [imind4,cm4] = rgb2ind(im4,256); 

    
    %% Write to the GIF File and CSV file
    HeaderVals={'X [mm]','Data crosssection [atoms]','BEC fit crosssection [atoms]','Thermal fit crosssection [atoms]','Dimple fit crosssection [atoms]','Reservoir fit crosssection [atoms]',...
        'Crossover fit crosssection [atoms]','Guide fit crosssection [atoms]','Data projection [atoms]','BEC fit projection [atoms]','Thermal fit projection [atoms]','Dimple fit projection [atoms]',...
        'Reservoir fit projection [atoms]','Crossover fit projection [atoms]','Guide fit projection [atoms]'};
    plotvals=([X; datacrosssection;BECcrosssection;thermalcrosssection;dimplecrosssection;reservoircrosssection;crossovercrosssection;transportcrosssection;...
        dataprojection;BECprojection;thermalprojection;dimpleprojection;reservoirprojection;crossoverprojection;transportprojection]).';

    if framenumber == 2 
        imwrite(imind,cm,[aviname,'.gif'],'gif', 'Loopcount',inf); 
        imwrite(imind2,cm2,[aviname2,'.gif'],'gif', 'Loopcount',inf); 
        imwrite(imind3,cm3,[aviname3,'.gif'],'gif', 'Loopcount',inf); 
        imwrite(imind4,cm4,[aviname4,'.gif'],'gif', 'Loopcount',inf); 
    else 
        imwrite(imind,cm,[aviname,'.gif'],'gif','WriteMode','append'); 
        imwrite(imind2,cm2,[aviname2,'.gif'],'gif','WriteMode','append'); 
        imwrite(imind3,cm3,[aviname3,'.gif'],'gif','WriteMode','append'); 
        imwrite(imind4,cm4,[aviname4,'.gif'],'gif','WriteMode','append'); 
    end
    fid = fopen([crosssectionname,'P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f'),'.csv'],'w');
    fprintf(fid,'%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s\n',HeaderVals{:});
    fclose(fid);
    dlmwrite([crosssectionname,'P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f'),'.csv'],plotvals,'-append');

    if seriesnumber>0,
        aviname=[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\',fitsummaryavifilename];
        fitspngname=[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\FitsP'];
        crosssectionpngname=[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\CrosssectionP'];
        projectionpngname=[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\ProjectionP'];
    else
        aviname=[directory,'\Results',plotparam.resultsname,'\',fitsummaryavifilename];
        fitspngname=[directory,'\FitsP'];
        crosssectionpngname=[directory,'\CrosssectionP'];
        projectionpngname=[directory,'\ProjectionP'];
    end
    saveas(fitsummaryfig,[fitspngname,num2str(imagenums(indexlist(framenumber-1)),'%04.0f'),'.png']);
    saveas(fitsummaryfig2,[crosssectionpngname,num2str(imagenums(indexlist(framenumber-1)),'%04.0f'),'.png']);
    saveas(fitsummaryfig3,[projectionpngname,num2str(imagenums(indexlist(framenumber-1)),'%04.0f'),'.png']);
    
    
    %% save the image data
    Datafilename='ResultData';
    if seriesnumber>0,
        imagename=[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\',Datafilename,directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f')];
    else
        imagename=[directory,'\Results',plotparam.resultsname,'\',Datafilename,directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f')];
    end
    imwrite((imdata+10)/128,[imagename,'.tif'],'tiff'); 
    imwrite((imdata+10)/128*255,datamap,[imagename,'.bmp'],'bmp'); 

    Datafilename='ResultFit';
    if seriesnumber>0,
        imagename=[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\',Datafilename,directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f')];
    else
        imagename=[directory,'\Results',plotparam.resultsname,'\',Datafilename,directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f')];
    end
    imwrite((estimatedprofile+10)/128,[imagename,'.tif'],'tiff'); 
    imwrite((estimatedprofile+10)/128*255,fitmap,[imagename,'.bmp'],'bmp');
%     [min(min((estimatedprofile+10)/128)),max(max((estimatedprofile+10)/128))],

    Datafilename='ThermalFit';
    thermaldata=estimatedprofile-BECfit;
    if seriesnumber>0,
        imagename=[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\',Datafilename,directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f')];
    else
        imagename=[directory,'\Results',plotparam.resultsname,'\',Datafilename,directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f')];
    end
    imwrite((thermaldata+10)/128,[imagename,'.tif'],'tiff'); 
    imwrite((thermaldata+10)/128*255,thermalmap,[imagename,'.bmp'],'bmp');
%     [min(min((estimatedprofile+10)/128)),max(max((estimatedprofile+10)/128))],

    datatoplot=imdata-estimatedprofile;
    Datafilename='ResultResidual';
    if seriesnumber>0,
        imagename=[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\',Datafilename,directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f')];
    else
        imagename=[directory,'\Results',plotparam.resultsname,'\',Datafilename,directory((end-5):end),' S',num2str(seriesnumber),' P',num2str(imagenums(indexlist(framenumber-1)),'%04.0f')];
    end
    imwrite((datatoplot+10)/128,[imagename,'.tif'],'tiff');
    imwrite((datatoplot+10)/128*255,residualmap,[imagename,'.bmp'],'bmp'); 
%     [min(min((datatoplot+10)/128)),max(max((datatoplot+10)/128))],
end
close(writerObj5);
close(writerObj2);
close(writerObj3);
close(writerObj4);


%% plot the integration of the central residual, the anomaly vs time
aperture=zeros(size(residual));
sumedge=plotparam.SSBECfitparam.border-plotparam.SSBECfitparam.borderedge;
aperture(sumedge:(end-sumedge),sumedge:(end-sumedge))=1;
residualsum=sum(residuals.*repmat(reshape(aperture,[1,numel(aperture)]),[size(residuals,1),1]),2);

figure(400);
plot(sortedxdata(1:end)/1e3,residualsum(indexlist(1:end)+1),'k.');
xlabel('Time [s]');
ylabel('Integrated anomaly [atoms]');
title('Integrated anomaly');

%plotvals=([sortedxdata(1:end)/1e3; residualsum(indexlist(1:end)+1).']).';
if seriesnumber>0,
    saveas(400,[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\Anomaly.png']);
%   save([directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\Anomaly.csv'],'plotvals','-ascii');
else
    saveas(400,[directory,'\Anomaly.png']);
%   save([directory,'\Anomaly.csv'],'plotvals','-ascii');
end


%% read the fitting parameters
x0DimpleN=squeeze(x0series(indexlist+1,1)); % Parameters(1)=DimpleN;
x0DimpleWy=squeeze(x0series(indexlist+1,2)); % Parameters(2)=DimpleWy;
x0ReservoirN=squeeze(x0series(indexlist+1,3)); % Parameters(3)=ReservoirN;
x0ReservoirWy=squeeze(x0series(indexlist+1,4)); % Parameters(4)=ReservoirWy;
x0ReservoirWx=squeeze(x0series(indexlist+1,5)); % Parameters(5)=ReservoirWx;
x0CrossoverN=squeeze(x0series(indexlist+1,6)); % Parameters(6)=CrossoverN;
x0CrossoverWy=squeeze(x0series(indexlist+1,7)); % Parameters(7)=CrossoverWy;
x0CrossoverWx=squeeze(x0series(indexlist+1,8)); % Parameters(8)=CrossoverWx;
x0Dimplex=squeeze(x0series(indexlist+1,9)); % Parameters(9)=Dimplex;
x0Dimpley=squeeze(x0series(indexlist+1,10)); % Parameters(10)=Dimpley;
x0Crossoverx=squeeze(x0series(indexlist+1,11)); % Parameters(11)=Crossoverx;
x0Reservoirx=squeeze(x0series(indexlist+1,12)); % Parameters(12)=Reservoirx;
x0TransportN=squeeze(x0series(indexlist+1,13)); % Parameters(13)=TransportN;
x0Transportx=squeeze(x0series(indexlist+1,14)); % Parameters(14)=Transportx;
x0TransportWx=squeeze(x0series(indexlist+1,15)); % Parameters(15)=TransportWx;
x0Transporty=squeeze(x0series(indexlist+1,16)); % Parameters(16)=Transporty;
x0TransportWy=squeeze(x0series(indexlist+1,17)); % Parameters(17)=TransportWy;
x0Background=squeeze(x0series(indexlist+1,18)); % Parameters(18)=Background;
x0BECN=squeeze(x0series(indexlist+1,19)); % Parameters(19)=BECN;
x0BECwx=squeeze(x0series(indexlist+1,20)); % Parameters(20)=BECwx;
x0BECwy=squeeze(x0series(indexlist+1,21)); % Parameters(21)=BECwy;
x0BECX=squeeze(x0series(indexlist+1,22)); % Parameters(22)=BECx;
x0BECY=squeeze(x0series(indexlist+1,23)); % Parameters(23)=BECy;


%% calculate and plot temperatures
TyDimple   =mSr * auOverkB *(x0DimpleWy   *1e-3/2^0.5/tof).^2*1E6;
TyReservoir=mSr * auOverkB *(x0ReservoirWy*1e-3/2^0.5/tof).^2*1E6;
TyCrossover=mSr * auOverkB *(x0CrossoverWy*1e-3/2^0.5/tof).^2*1E6;
TyTransport=mSr * auOverkB *(x0TransportWy*1e-3/2^0.5/tof).^2*1E6;

figure(401);
plot(sortedxdata/1e3,TyDimple,'ko',sortedxdata/1e3,TyReservoir,'ro',sortedxdata/1e3,TyCrossover,'bo',sortedxdata/1e3,TyTransport,'go');
xlabel('Time [s]');
ylabel('Fitted Temperature [uK]');
title('Temperature evolution (from fits)');
legend({'Ty Dimple','Ty Reservoir','Ty Crossover','Ty Transport'},'Location','SouthOutside');

if seriesnumber>0,
    saveas(401,[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\TemperatureEvolution.png']);
else
    saveas(401,[directory,'\TemperatureEvolution.png']);
end


%% calculate and plot atom numbers
NDimple   =x0DimpleN./(1/(2*pi)./(x0DimpleWy*1e-3/2^0.5)./(x0DimpleWy*1e-3/2^0.5))/(plotparam.SSBECfitparam.Xcal*plotparam.SSBECfitparam.Ycal*1e-6);
NReservoir=x0ReservoirN./(1/(2*pi)./(x0ReservoirWy*1e-3/2^0.5)./(x0ReservoirWx*1e-3/2^0.5))/(plotparam.SSBECfitparam.Xcal*plotparam.SSBECfitparam.Ycal*1e-6);
NCrossover=x0CrossoverN./(1/(2*pi)./(x0CrossoverWy*1e-3/2^0.5)./(x0CrossoverWx*1e-3/2^0.5))/(plotparam.SSBECfitparam.Xcal*plotparam.SSBECfitparam.Ycal*1e-6);

figure(402);
plot(sortedxdata/1e3,NDimple,'ko',sortedxdata/1e3,NReservoir,'ro',sortedxdata/1e3,NCrossover,'co',sortedxdata/1e3,(NDimple+NReservoir+NCrossover),'go',sortedxdata/1e3,x0BECN*100,'bo',sortedxdata/1e3,residualsum(indexlist+1)*100,'go');
xlabel('Time [s]');
ylabel('Fitted Fulldata [atoms]');
title('Fulldata evolution (from fits)');
legend({'N Dimple','N Reservoir','N Crossover','N Total','N BEC*100','residual sum*100'},'Location','SouthOutside');
axis([0 15 0 2.5e6]);

if seriesnumber>0,
    saveas(402,[directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\NumberEvolution.png']);
else
    saveas(402,[directory,'\NumberEvolution.png']);
end


%% Save a summary of the fitted data results
ResultsSummaryHeaders={'Value','Integrated Residual','x0DimpleN','x0DimpleWy','x0ReservoirN','x0ReservoirWy','x0ReservoirWx','x0CrossoverN','x0CrossoverWy','x0CrossoverWx','x0Dimplex','x0Dimpley',...
    'x0Crossoverx','x0Reservoirx','x0TransportN','x0Transportx','x0TransportWx','x0Transporty','x0TransportWy','x0Background','x0BECN','x0BECwx','x0BECwy','x0BECX','x0BECY','TyDimple',...
    'TyReservoir','TyCrossover','TyTransport','NDimple','NReservoir','NCrossover'};

ResultsSummary=[sortedxdata.', residualsum(indexlist(1:end)+1), x0DimpleN, x0DimpleWy, x0ReservoirN, x0ReservoirWy, x0ReservoirWx, x0CrossoverN, x0CrossoverWy, x0CrossoverWx,...
    x0Dimplex, x0Dimpley, x0Crossoverx, x0Reservoirx, x0TransportN, x0Transportx, x0TransportWx, x0Transporty, x0TransportWy, x0Background, x0BECN, x0BECwx, x0BECwy, x0BECX, x0BECY, TyDimple, TyReservoir, TyCrossover,...
    TyTransport, NDimple, NReservoir, NCrossover];

if seriesnumber>0,
    fid = fopen([directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\ResultsSummary.csv'],'w');
    fprintf(fid,'%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s\n',ResultsSummaryHeaders{:});
    fclose(fid);
    dlmwrite([directory,'\S',num2str(seriesnumber),'\Results',plotparam.resultsname,'\ResultsSummary.csv'],ResultsSummary,'-append');
else
    fid = fopen([directory,'\ResultsSummary.csv'],'w');
    fprintf(fid,'%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s\n',ResultsSummaryHeaders{:});
    fclose(fid);
    dlmwrite([directory,'\ResultsSummary.csv'],ResultsSummary,'-append');
end

end
